(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     31006,        803]
NotebookOptionsPosition[     30760,        790]
NotebookOutlinePosition[     31104,        805]
CellTagsIndexPosition[     31061,        802]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Program", " ", "to", " ", "test", " ", "the", " ", "UA", " ", "for", 
      " ", "ED", " ", "in", " ", "dual", " ", "branch", " ", "SC", " ", 
      "under", " ", 
      RowBox[{"i", ".", "i", ".", "d", ".", " ", "Nakagami"}]}], "-", 
     RowBox[{"m", " ", 
      RowBox[{"fading", ":", " ", 
       RowBox[{"Based", " ", "on", " ", "Herath", " ", "TComm"}]}]}]}], ",", 
    " ", "2011"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{
    "\[Gamma]", ",", "\[Lambda]", ",", "k", ",", "u", ",", "\[Lambda]", ",", 
     "Pf", ",", "Pdw", ",", "Pdexact", ",", "Pfreqd", ",", "\[Gamma]avg", ",",
      "SNRdB", ",", "aWG", ",", "a0", ",", "a1", ",", "a2", ",", "b1", ",", 
     "b2", ",", "t"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"u", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SNRdB", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "20", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"\[Gamma]avg", "=", 
      RowBox[{"N", "[", 
       SuperscriptBox["10", 
        FractionBox["SNRdB", "10"]], "]"}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pfreqd", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "13.276704135987625"}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"For", " ", "Pf"}], "=", "0.01"}], ",", " ", 
     RowBox[{"u", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "20.090235029663233"}], ";"}], " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
      RowBox[{"L", " ", "=", " ", "5"}], ",", " ", 
      RowBox[{"u", " ", "=", " ", "4"}]}], "*)"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "23.20925115895436"}], ";"}], 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
      RowBox[{"u", " ", "=", " ", "5"}]}], "*)"}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"Pf", "=", 
    FractionBox[
     RowBox[{"Gamma", "[", 
      RowBox[{"u", ",", 
       RowBox[{"\[Lambda]", "/", "2.0"}]}], "]"}], 
     RowBox[{"Gamma", "[", "u", "]"}]]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Pfreqd", "-", 
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", ",", 
           RowBox[{"\[Lambda]", "/", "2"}]}], "]"}], 
         RowBox[{"Gamma", "[", "u", "]"}]]}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ",", "20"}], "}"}]}], "]"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      StyleBox["\[Psi]",
       FontFamily->"Courier New"], "[", "m_", "]"}], ":=", 
     FractionBox[
      RowBox[{"3", "*", 
       SuperscriptBox["m", 
        RowBox[{"2", "*", "m"}]]}], 
      SuperscriptBox[
       RowBox[{"Gamma", "[", "m", "]"}], "3"]]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", "Wang", " ", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "==="}], "="}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"t", "=", 
      RowBox[{
       RowBox[{"3", "*", "m"}], "-", "1"}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"aWG", "=", 
     RowBox[{
      SuperscriptBox["m", 
       RowBox[{"m", "-", "2"}]], "*", 
      RowBox[{"\[Psi]", "[", "m", "]"}]}]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    StyleBox["Pdw",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{
     StyleBox["1",
      FontFamily->"Courier New"], 
     StyleBox["+",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["aWG",
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      StyleBox[
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox["\[Lambda]", "2"]}]],
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox[
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"k", "=", 
          RowBox[{
           RowBox[{"-", "u"}], "+", "1"}]}], 
         RowBox[{"u", "-", "1"}]],
        FontFamily->"Courier New"], 
       RowBox[{
        StyleBox[
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["\[Lambda]", 
            RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
          FractionBox["k", "2"]],
         FontFamily->"Courier New"], 
        StyleBox["*",
         FontFamily->"Courier New"], 
        RowBox[{
         StyleBox["NIntegrate",
          FontFamily->"Courier New"], 
         StyleBox["[",
          FontFamily->"Courier New"], 
         RowBox[{
          StyleBox[
           RowBox[{
            SuperscriptBox["x", 
             RowBox[{"t", "-", 
              FractionBox["k", "2"]}]], "*", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "\[Gamma]avg"}], "*", "x"}]], "*", 
            RowBox[{"BesselI", "[", 
             RowBox[{"k", ",", 
              SqrtBox[
               RowBox[{
               "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
             "]"}]}],
           FontFamily->"Courier New"], 
          StyleBox[",",
           FontFamily->"Courier New"], 
          RowBox[{
           StyleBox["{",
            FontFamily->"Courier New"], 
           RowBox[{
            StyleBox["x",
             FontFamily->"Courier New"], 
            StyleBox[",",
             FontFamily->"Courier New"], 
            StyleBox["0",
             FontFamily->"Courier New"], 
            StyleBox[",",
             FontFamily->"Courier New"], "\[Infinity]"}], "}"}]}], 
         StyleBox["]",
          FontFamily->"Courier New"]}]}]}]}], 
     StyleBox["-",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["aWG",
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      FractionBox[
       RowBox[{"Gamma", "[", 
        RowBox[{"u", "+", "t", "+", "1"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"t", "+", "1"}], ")"}], "*", 
        SuperscriptBox["\[Gamma]avg", 
         RowBox[{"t", "+", "1"}]], "*", 
        RowBox[{"Gamma", "[", "u", "]"}]}]], "*", 
      RowBox[{"Hypergeometric1F1", "[", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"t", "+", "1"}], ")"}]}], ",", "u", ",", 
        RowBox[{"-", 
         FractionBox["\[Lambda]", "2"]}]}], "]"}]}]}]}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"My", " ", "derivation", " ", "in", " ", "closed"}], "-", 
     "form"}], "*)"}], "\[IndentingNewLine]", 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "Alternative", " ", "formula", " ", "based", " ", "on", " ", "infinite", 
      " ", "series"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Nwtr", "=", "100"}], ";", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{":", " ", 
        RowBox[{
        "Needed", " ", "for", " ", "alternative", " ", "series", " ", 
         "form"}]}], ";"}], "*)"}], 
     StyleBox["\[IndentingNewLine]",
      FontFamily->"Courier New"], "\[IndentingNewLine]", 
     RowBox[{
      StyleBox["Pdw",
       FontFamily->"Courier New"], 
      StyleBox["=",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["1",
        FontFamily->"Courier New"], 
       StyleBox["-",
        FontFamily->"Courier New"], 
       RowBox[{
        StyleBox["aWG",
         FontFamily->"Courier New"], 
        StyleBox["*",
         FontFamily->"Courier New"], 
        StyleBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", 
           FractionBox["\[Lambda]", "2"]}]],
         FontFamily->"Courier New"], 
        RowBox[{
         StyleBox["Sum",
          FontFamily->"Courier New"], 
         StyleBox["[",
          FontFamily->"Courier New"], 
         RowBox[{
          RowBox[{
           StyleBox[
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]],
            FontFamily->"Courier New"], 
           StyleBox["*",
            FontFamily->"Courier New"], 
           RowBox[{
            StyleBox["NIntegrate",
             FontFamily->"Courier New"], 
            StyleBox["[",
             FontFamily->"Courier New"], 
            RowBox[{
             RowBox[{
              StyleBox[
               SuperscriptBox[
                StyleBox["\[Beta]",
                 FontFamily->"Courier New"], 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]],
               FontFamily->"Courier New"], 
              StyleBox["*",
               FontFamily->"Courier New"], 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "\[Gamma]avg"}], "*", "\[Beta]"}]], "*", 
              RowBox[{"BesselI", "[", 
               RowBox[{"k", ",", 
                SqrtBox[
                 RowBox[{
                 "2", "*", "\[Gamma]avg", "*", "\[Beta]", "*", 
                  "\[Lambda]"}]]}], "]"}]}], 
             StyleBox[",",
              FontFamily->"Courier New"], 
             RowBox[{
              StyleBox["{",
               FontFamily->"Courier New"], 
              RowBox[{
               StyleBox["\[Beta]",
                FontFamily->"Courier New"], 
               StyleBox[",",
                FontFamily->"Courier New"], 
               StyleBox["0",
                FontFamily->"Courier New"], 
               StyleBox[",",
                FontFamily->"Courier New"], "\[Infinity]"}], "}"}]}], 
            StyleBox["]",
             FontFamily->"Courier New"]}]}], 
          StyleBox[",",
           FontFamily->"Courier New"], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nwtr"}], "}"}],
           FontFamily->"Courier New"]}], 
         StyleBox["]",
          FontFamily->"Courier New"]}]}]}]}]}], 
    StyleBox[" ",
     FontFamily->"Courier New"], 
    StyleBox[
     RowBox[{"(*", 
      RowBox[{
      "This", " ", "version", " ", "works", " ", "for", " ", "this", " ", 
       "case"}], "*)"}],
     FontFamily->"Courier New"], "\[IndentingNewLine]", "\[IndentingNewLine]",
     "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", " ", 
       RowBox[{"Wang", " ", "end"}], " ", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], 
    RowBox[{
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["\[Equal]",
       FontFamily->"Courier New"], 
      RowBox[{"BT", 
       StyleBox[":",
        FontFamily->"Courier New"], 
       StyleBox[" ",
        FontFamily->"Courier New"], 
       StyleBox[
        RowBox[{
         RowBox[{"3", "-", 
          RowBox[{"term", " ", 
           RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
           "approximation"}]}], "===", "===", "===", "===", "===", "===", "===",
          "===", "===", "===", "=="}],
        FontFamily->"Courier New"]}]}]}], 
    StyleBox["*)",
     FontFamily->"Courier New"]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", 
     RowBox[{
      RowBox[{"3", "*", "m"}], "-", "1"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"a0", "=", 
      RowBox[{
       SuperscriptBox["m", 
        RowBox[{"m", "-", "2"}]], "*", 
       RowBox[{"\[Psi]", "[", "m", "]"}]}]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a1", "=", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", "*", "m"}], "+", "1"}], ")"}], "*", 
          SuperscriptBox["m", 
           RowBox[{"m", "-", "1"}]]}], 
         RowBox[{"m", "+", "1"}]]}], "*", 
       RowBox[{"\[Psi]", "[", "m", "]"}]}]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a2", "=", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["m", "m"], "*", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"15", "*", "m"}], "+", 
           RowBox[{"24", "*", 
            SuperscriptBox["m", "2"]}], "+", 
           RowBox[{"9", "*", 
            SuperscriptBox["m", "3"]}]}], ")"}], " "}], 
        RowBox[{"2", "*", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", "m"}], ")"}], "2"], "*", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", " ", "m"}], ")"}]}]], "*", 
       RowBox[{"\[Psi]", "[", "m", "]"}]}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     FractionBox["a0", "2"]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{
     StyleBox["b1",
      FontFamily->"Courier New"], 
     StyleBox["=",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["N",
       FontFamily->"Courier New"], 
      StyleBox["[",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["-",
        FontFamily->"Courier New"], 
       FractionBox["a1", "a"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b2", "=", 
     RowBox[{"N", "[", 
      FractionBox[
       RowBox[{"2", "*", "a2"}], "a"], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "EITHER", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]1", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]2", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "OR", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Theta]1", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        FractionBox["1", "2"], "*", 
        RowBox[{"(", 
         RowBox[{"b1", "-", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", "*", "b2"}], "-", 
            SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Theta]2", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        FractionBox["1", "2"], "*", 
        RowBox[{"(", 
         RowBox[{"b1", "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", "*", "b2"}], "-", 
            SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Nptr", "=", "200"}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdbt",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{"1", "-", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]1", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}], 
       "+", 
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]2", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}]}], 
      "]"}]}]}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
      RowBox[{"End", " ", 
       RowBox[{"BT", ":", " ", 
        RowBox[{
         RowBox[{"3", "-", 
          RowBox[{"term", " ", 
           RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
           "approximation"}]}], "===", "===", "===", "===", "===", "===", "===",
          "===", "===", "===", "=="}]}]}]}], "*)"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", "Exact", " ", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "==="}], "="}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"Pdexact", "=", 
    RowBox[{
     FractionBox[
      RowBox[{"3", "*", 
       SuperscriptBox["m", "m"]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"Gamma", "[", "m", "]"}], "3"], "*", 
       SuperscriptBox["\[Gamma]avg", "m"]}]], "*", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"MarcumQ", "[", 
         RowBox[{"u", ",", 
          SqrtBox[
           RowBox[{"2", "*", "x"}]], ",", 
          SqrtBox["\[Lambda]"]}], "]"}], "*", 
        SuperscriptBox["x", 
         RowBox[{"m", "-", "1"}]], "*", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"m", "*", "x"}], "\[Gamma]avg"]}]], "*", 
        SuperscriptBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"m", ",", "0", ",", 
           RowBox[{
            FractionBox["m", "\[Gamma]avg"], "*", "x"}]}], "]"}], "2"]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", 
      RowBox[{"Exact", " ", "end"}], " ", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5865384999653997`*^9, 3.5865385872634*^9}, {
   3.5865386887334003`*^9, 3.5865387218594*^9}, {3.5865394376210003`*^9, 
   3.5865394422320004`*^9}, {3.586541031185*^9, 3.586541045039*^9}, {
   3.58654111088*^9, 3.586541133624*^9}, {3.586541174664*^9, 
   3.586541182297*^9}, {3.5865423210150003`*^9, 3.586542403407*^9}, {
   3.5865424471689997`*^9, 3.586542560099*^9}, {3.586542636983*^9, 
   3.586542639843*^9}, {3.586542672638*^9, 3.586542702745*^9}, 
   3.586542836388*^9, 3.586543111951*^9, 3.5865432963050003`*^9, {
   3.586543648583*^9, 3.5865436544449997`*^9}, {3.586543687781*^9, 
   3.586543687867*^9}, {3.586543754124*^9, 3.586543797185*^9}, {
   3.5865447188269997`*^9, 3.586544719141*^9}, 3.5866160078323703`*^9, {
   3.5866161486483707`*^9, 3.5866161827753706`*^9}, {3.5866162821193705`*^9, 
   3.58661634461837*^9}, {3.58661640142737*^9, 3.5866164151273704`*^9}, {
   3.5866164560693703`*^9, 3.5866164761003704`*^9}, {3.58661983917*^9, 
   3.586619907435*^9}, {3.586619976447*^9, 3.586620172376*^9}, {
   3.586620661672*^9, 3.5866206667980003`*^9}, {3.586620765743*^9, 
   3.586620780225*^9}, {3.586620966289*^9, 3.586621123664*^9}, {
   3.586621165336*^9, 3.586621261617*^9}, {3.586621305657*^9, 
   3.5866214612279997`*^9}, {3.586621543271*^9, 3.586621595283*^9}, {
   3.586624777197*^9, 3.5866248070360003`*^9}, {3.5866248387390003`*^9, 
   3.586624861689*^9}, {3.586624892974*^9, 3.586625154295*^9}, {
   3.5866251980559998`*^9, 3.586625300701*^9}, {3.5928856837460203`*^9, 
   3.592885724931319*^9}, {3.593840705127999*^9, 3.5938407571328707`*^9}, {
   3.5938417847969913`*^9, 3.5938418344581766`*^9}, {3.5938426658472557`*^9, 
   3.593842711468584*^9}, 3.593842977427024*^9, {3.5938430465940332`*^9, 
   3.5938430548198795`*^9}, {3.5938431505757236`*^9, 
   3.5938431710882435`*^9}, {3.5938432135763645`*^9, 
   3.5938434819625406`*^9}, {3.5938806325362687`*^9, 3.5938806708053846`*^9}, 
   3.5938807307218533`*^9, {3.593880794524072*^9, 3.5938808081727333`*^9}, {
   3.5938808646647596`*^9, 3.5938808750390935`*^9}, {3.5938903730485516`*^9, 
   3.593890393443*^9}, {3.593890475766331*^9, 3.5938905495956707`*^9}, {
   3.5938905828972397`*^9, 3.5938906911979823`*^9}, {3.593890740774102*^9, 
   3.593890745695589*^9}, {3.5938907939868145`*^9, 3.593890829108719*^9}, {
   3.5938908919231973`*^9, 3.593890899460537*^9}, {3.5938913268733807`*^9, 
   3.593891326987462*^9}, 3.5948508543075523`*^9, 3.5958199382635193`*^9, {
   3.5958200391580935`*^9, 3.5958200483816333`*^9}, 3.5958203165348663`*^9, {
   3.595821493744241*^9, 3.595821524197852*^9}, {3.595821554468319*^9, 
   3.5958216896111903`*^9}, {3.5958217343309207`*^9, 
   3.5958217861756935`*^9}, {3.595821893846075*^9, 3.5958220694947076`*^9}, 
   3.595823514214567*^9, {3.5958235771111856`*^9, 3.5958235803905125`*^9}, {
   3.5962495135144978`*^9, 3.596249666354943*^9}, {3.596249778693616*^9, 
   3.5962500004979734`*^9}, {3.596250032736843*^9, 3.596250169339742*^9}, {
   3.59625058387183*^9, 3.596250598760378*^9}, {3.596250639872539*^9, 
   3.5962506421922116`*^9}, {3.596251180429015*^9, 3.5962513559645433`*^9}, {
   3.5962513903639407`*^9, 3.59625139070719*^9}, {3.5962514835750704`*^9, 
   3.5962514981213903`*^9}, {3.596251553031334*^9, 3.5962515918628826`*^9}, 
   3.5962516340658197`*^9, {3.5962517181364603`*^9, 3.596251735288628*^9}, {
   3.5962518505393867`*^9, 3.596251869791073*^9}, {3.5962519561252904`*^9, 
   3.5962519890096254`*^9}, {3.5962521260618715`*^9, 
   3.5962521334320707`*^9}, {3.596252187780635*^9, 3.5962521896309714`*^9}, {
   3.5962522432049475`*^9, 3.5962523137550015`*^9}, {3.5963363804502616`*^9, 
   3.596336391446083*^9}, {3.596336439019805*^9, 3.596336458829859*^9}, {
   3.596336720937804*^9, 3.5963367214921913`*^9}, {3.5963372134321747`*^9, 
   3.5963377116406236`*^9}, {3.596337824215463*^9, 3.5963378251121*^9}, {
   3.596338179368411*^9, 3.5963382743257804`*^9}, {3.5963384703007984`*^9, 
   3.5963384791611047`*^9}, {3.59633853654279*^9, 3.5963386048332443`*^9}, {
   3.59633873218758*^9, 3.5963388126907187`*^9}, {3.5963391620215087`*^9, 
   3.5963391801003313`*^9}, {3.596339215721601*^9, 3.596339221241536*^9}, {
   3.5963393380753994`*^9, 3.596339410184554*^9}, {3.5963395049467793`*^9, 
   3.596339526764262*^9}, {3.5963396942750883`*^9, 3.5963398623993835`*^9}, {
   3.5963399047984343`*^9, 3.5963399071280937`*^9}, {3.5963399958150215`*^9, 
   3.5963400721131268`*^9}, {3.5963403332253647`*^9, 3.596340507001666*^9}, {
   3.59634065159221*^9, 3.596340666723951*^9}, {3.5963407310886087`*^9, 
   3.5963407347311893`*^9}, {3.5979580247972507`*^9, 3.597958060454529*^9}, {
   3.5979580932417774`*^9, 3.597958207012435*^9}, {3.597959296924554*^9, 
   3.597959312800812*^9}, {3.597959538848071*^9, 3.597959606071729*^9}, {
   3.597959844550806*^9, 3.5979599752654977`*^9}, {3.597960087962376*^9, 
   3.5979601890940776`*^9}, {3.597960806080513*^9, 3.5979608084621935`*^9}, {
   3.597960876310296*^9, 3.5979608771729083`*^9}, {3.5979609469743943`*^9, 
   3.5979609667904444`*^9}, {3.5979610413983393`*^9, 
   3.5979610415844717`*^9}, {3.597961109223425*^9, 3.5979611122225523`*^9}, 
   3.5979611437208824`*^9, {3.597961198849969*^9, 3.597961198972082*^9}, {
   3.5979613400210547`*^9, 3.5979613722218847`*^9}, {3.597961548406799*^9, 
   3.5979615651926994`*^9}, {3.5979616987724276`*^9, 3.597961722373139*^9}, 
   3.597961863454156*^9, {3.5979618938266954`*^9, 3.5979620130091915`*^9}, {
   3.5979621964262238`*^9, 3.5979623235483503`*^9}, {3.597962435368629*^9, 
   3.5979624885423274`*^9}, {3.5979625339535294`*^9, 3.597962565446878*^9}, {
   3.5979626282573814`*^9, 3.597962632757599*^9}, {3.597963260490611*^9, 
   3.597963260590709*^9}, {3.5979825372494392`*^9, 3.5979825778812466`*^9}, {
   3.5979826183168926`*^9, 3.597982624030965*^9}, {3.597982696973652*^9, 
   3.597982724025858*^9}, {3.597982766640044*^9, 3.5979831515969763`*^9}, {
   3.59798318498967*^9, 3.5979832037940025`*^9}, {3.597983364484907*^9, 
   3.5979834007996745`*^9}, {3.59798378229012*^9, 3.5979839971364403`*^9}, {
   3.597984033565288*^9, 3.597984039811717*^9}, {3.597984335484315*^9, 
   3.5979843362618723`*^9}, {3.5979845422859583`*^9, 3.597984550682885*^9}, {
   3.5979846396609945`*^9, 3.5979846453710155`*^9}, 3.5979847713903804`*^9, {
   3.59798480533045*^9, 3.5979849544841776`*^9}, {3.5979849867320595`*^9, 
   3.5979849899142942`*^9}, {3.597987600702943*^9, 3.5979876839829874`*^9}, {
   3.5979877170734687`*^9, 3.5979878597736225`*^9}, {3.597987895180713*^9, 
   3.597987900803731*^9}, {3.5979879397933426`*^9, 3.5979879700628104`*^9}, {
   3.597988009400693*^9, 3.59798801107889*^9}, {3.5979881221396213`*^9, 
   3.597988248064906*^9}, {3.5979882819869766`*^9, 3.5979882926154838`*^9}, {
   3.597988885496828*^9, 3.59798889867517*^9}, 3.5979889608632812`*^9, {
   3.6028051891316195`*^9, 3.602805223411971*^9}, {3.63435611409617*^9, 
   3.634356129991455*^9}, {3.6343562918914013`*^9, 3.6343563204526515`*^9}, {
   3.634356380288121*^9, 3.6343563838196325`*^9}, {3.634357614567254*^9, 
   3.634357631110997*^9}, {3.6343577053176827`*^9, 3.6343577193296103`*^9}, 
   3.6343579694211326`*^9, {3.6343581480038967`*^9, 3.6343581611071978`*^9}, {
   3.634359199485274*^9, 3.6343593391714215`*^9}, {3.634359430830493*^9, 
   3.6343594923711753`*^9}, {3.63436009143941*^9, 3.6343600918877244`*^9}, 
   3.634946418063204*^9, {3.634946527538723*^9, 3.6349465495693655`*^9}, {
   3.6349468001797843`*^9, 3.6349468091361537`*^9}, {3.634946963626525*^9, 
   3.634946970959737*^9}, {3.6349472637730813`*^9, 3.634947314596051*^9}, {
   3.6349474279603276`*^9, 3.6349474470688596`*^9}, {3.6349497039540033`*^9, 
   3.634949718132044*^9}, {3.6349497483214207`*^9, 3.6349498237718515`*^9}, 
   3.6398813560641985`*^9, {3.639881445950767*^9, 3.6398814543957396`*^9}}]
},
WindowSize->{1350, 631},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 30199, 768, 1542, "Input"]
}
]
*)

(* End of internal cache information *)
