(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     25951,        666]
NotebookOptionsPosition[     25604,        651]
NotebookOutlinePosition[     26049,        668]
CellTagsIndexPosition[     26006,        665]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Program", " ", "to", " ", "test", " ", "the", " ", "UA", " ", "for", " ",
      "ED", " ", "in", " ", "multihop", " ", 
     RowBox[{"sensing", ":", " ", 
      RowBox[{"Based", " ", "on", " ", "Atapattu"}]}]}], ",", " ", "2011"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{
    "\[Gamma]", ",", "\[Lambda]", ",", "k", ",", "u", ",", "\[Lambda]", ",", 
     "Pf", ",", "Pdw", ",", "Pdexact", ",", "Pfreqd", ",", "\[Gamma]avg", ",",
      "SNRdB", ",", "Nptr", ",", "Nwtr", ",", "Ntr", ",", "aWG", ",", "c0", 
     ",", "c1", ",", "c2", ",", "b1", ",", "b2", ",", "t", ",", "\[Beta]"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "3"}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"Number", " ", "of", " ", "cognitive", " ", "relays"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"u", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SNRdB", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "20", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"\[Gamma]avg", "=", 
      RowBox[{"N", "[", 
       SuperscriptBox["10", 
        FractionBox["SNRdB", "10"]], "]"}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pfreqd", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "13.276704135987625"}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"For", " ", "Pf"}], "=", "0.01"}], ",", " ", 
     RowBox[{"u", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "20.090235029663233"}], ";"}], " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
      RowBox[{"u", " ", "=", " ", "4"}]}], "*)"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Pf", "=", 
    FractionBox[
     RowBox[{"Gamma", "[", 
      RowBox[{"u", ",", 
       RowBox[{"\[Lambda]", "/", "2.0"}]}], "]"}], 
     RowBox[{"Gamma", "[", "u", "]"}]]}], " ", 
   RowBox[{"(*", 
    RowBox[{"Pf", " ", "independent", " ", "of", " ", "n"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Pfreqd", "-", 
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", ",", 
           RowBox[{"\[Lambda]", "/", "2"}]}], "]"}], 
         RowBox[{"Gamma", "[", "u", "]"}]]}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ",", "10"}], "}"}]}], "]"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", "Wang", " ", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"t", "=", 
      RowBox[{"n", "-", "1"}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"aWG", "=", 
      FractionBox[
       SuperscriptBox["2", "n"], 
       RowBox[{"Gamma", "[", "n", "]"}]]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"Nwtr", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdw",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{
     StyleBox["1",
      FontFamily->"Courier New"], 
     StyleBox["-",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["aWG",
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      StyleBox[
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox["\[Lambda]", "2"]}]],
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["Sum",
        FontFamily->"Courier New"], 
       StyleBox["[",
        FontFamily->"Courier New"], 
       RowBox[{
        RowBox[{
         StyleBox[
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox["\[Lambda]", 
             RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
           RowBox[{"k", "/", "2"}]],
          FontFamily->"Courier New"], 
         StyleBox["*",
          FontFamily->"Courier New"], 
         RowBox[{
          StyleBox["NIntegrate",
           FontFamily->"Courier New"], 
          StyleBox["[",
           FontFamily->"Courier New"], 
          RowBox[{
           RowBox[{
            StyleBox[
             SuperscriptBox[
              StyleBox["\[Beta]",
               FontFamily->"Courier New"], 
              RowBox[{"t", "-", 
               RowBox[{"k", "/", "2"}]}]],
             FontFamily->"Courier New"], 
            StyleBox["*",
             FontFamily->"Courier New"], 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "\[Gamma]avg"}], "*", "\[Beta]"}]], "*", 
            RowBox[{"BesselI", "[", 
             RowBox[{"k", ",", 
              SqrtBox[
               RowBox[{
               "2", "*", "\[Gamma]avg", "*", "\[Beta]", "*", "\[Lambda]"}]]}],
              "]"}]}], 
           StyleBox[",",
            FontFamily->"Courier New"], 
           RowBox[{
            StyleBox["{",
             FontFamily->"Courier New"], 
            RowBox[{
             StyleBox["\[Beta]",
              FontFamily->"Courier New"], 
             StyleBox[",",
              FontFamily->"Courier New"], 
             StyleBox["0",
              FontFamily->"Courier New"], 
             StyleBox[",",
              FontFamily->"Courier New"], "\[Infinity]"}], "}"}]}], 
          StyleBox["]",
           FontFamily->"Courier New"]}]}], 
        StyleBox[",",
         FontFamily->"Courier New"], 
        StyleBox[
         RowBox[{"{", 
          RowBox[{"k", ",", "u", ",", "Nwtr"}], "}"}],
         FontFamily->"Courier New"]}], 
       StyleBox["]",
        FontFamily->"Courier New"]}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", 
      RowBox[{"Wang", " ", "end"}], " ", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], 
    RowBox[{
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["\[Equal]",
       FontFamily->"Courier New"], 
      RowBox[{"BT", ":", " ", 
       StyleBox[
        RowBox[{
         RowBox[{"3", "-", 
          RowBox[{"term", " ", 
           RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
           "approximation"}]}], "===", "===", "===", "===", "===", "===", "===",
          "===", "===", "===", "=="}],
        FontFamily->"Courier New"]}]}]}], 
    StyleBox["*)",
     FontFamily->"Courier New"]}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"c0", "=", 
      SuperscriptBox["2", "n"]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{
       RowBox[{"-", "n"}], "*", 
       SuperscriptBox["2", 
        RowBox[{"n", "+", "1"}]]}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"c2", "=", 
      RowBox[{
       FractionBox[
        RowBox[{"n", "*", 
         RowBox[{"(", 
          RowBox[{"n", "+", "1"}], ")"}]}], "2"], "*", 
       SuperscriptBox["2", 
        RowBox[{"n", "+", "2"}]]}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     FractionBox["c0", 
      RowBox[{"2", "*", 
       RowBox[{"Gamma", "[", "n", "]"}]}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     StyleBox["b1",
      FontFamily->"Courier New"], 
     StyleBox["=",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["-",
       FontFamily->"Courier New"], 
      FractionBox["c1", 
       RowBox[{"a", "*", "n", "*", 
        RowBox[{"Gamma", "[", "n", "]"}]}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b2", "=", 
     RowBox[{"2", "*", 
      FractionBox["c2", 
       RowBox[{"a", "*", "n", "*", 
        RowBox[{"(", 
         RowBox[{"n", "+", "1"}], ")"}], "*", 
        RowBox[{"Gamma", "[", "n", "]"}]}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "EITHER", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]1", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]2", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "OR", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Theta]1", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        FractionBox["1", "2"], "*", 
        RowBox[{"(", 
         RowBox[{"b1", "-", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", "*", "b2"}], "-", 
            SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Theta]2", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        FractionBox["1", "2"], "*", 
        RowBox[{"(", 
         RowBox[{"b1", "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", "*", "b2"}], "-", 
            SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Nptr", "=", "100"}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdbt",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{"1", "-", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]1", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}], 
       "+", 
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]2", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}]}], 
      "]"}]}]}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
      RowBox[{"BT", ":", " ", 
       RowBox[{
        RowBox[{"3", "-", 
         RowBox[{"term", " ", 
          RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
          "approximation"}]}], "===", "===", "===", "===", "===", "===", "===",
         "===", "===", "===", "=="}]}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", "Exact", " ", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Clear", "[", 
    RowBox[{
    "Pd", ",", "\[Eta]", ",", "Res\[Eta]", ",", "ResZero", ",", "i", ",", 
     "snrlen"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"snrlen", "=", 
     RowBox[{"Length", "[", "SNRdB", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pd", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "snrlen", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "1"}], ",", 
     RowBox[{"i", "\[LessEqual]", "snrlen"}], ",", 
     RowBox[{"++", "i"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Eta]", "=", 
       FractionBox[
        RowBox[{"\[Gamma]avg", "[", 
         RowBox[{"[", "i", "]"}], "]"}], 
        RowBox[{"2", "+", 
         RowBox[{"\[Gamma]avg", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}]]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Res\[Eta]", "=", 
       RowBox[{
        RowBox[{
         FractionBox["1", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n", "-", "1"}], ")"}], "!"}]], 
         RowBox[{"D", "[", 
          RowBox[{
           FractionBox[
            SuperscriptBox["\[ExponentialE]", 
             FractionBox[
              RowBox[{"\[Lambda]", "*", "z"}], "2"]], 
            RowBox[{
             SuperscriptBox["z", 
              RowBox[{"u", "-", "n"}]], "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", "z"}], ")"}]}]], ",", 
           RowBox[{"{", 
            RowBox[{"z", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], "/.", 
        RowBox[{"z", "\[Rule]", "\[Eta]"}]}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"ResZero", "=", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"u", ">", "n"}], ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FractionBox["1", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"u", "-", "n", "-", "1"}], ")"}], "!"}]], 
             RowBox[{"D", "[", 
              RowBox[{
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"\[Lambda]", "*", "z"}], "2"]], 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"z", "-", "\[Eta]"}], ")"}], "n"], "*", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "z"}], ")"}]}]], ",", 
               RowBox[{"{", 
                RowBox[{"z", ",", 
                 RowBox[{"u", "-", "n", "-", "1"}]}], "}"}]}], "]"}]}], ")"}],
            "/.", 
           RowBox[{"z", "\[Rule]", "0"}]}], ")"}], ",", "0"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Pd", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "=", 
       RowBox[{
        FractionBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", 
           FractionBox["\[Lambda]", "2"]}]], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox[
             RowBox[{"\[Gamma]avg", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "2"]}], ")"}], "n"]], "*", 
        RowBox[{"(", 
         RowBox[{"Res\[Eta]", "+", "ResZero"}], ")"}]}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "Pd", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", 
      RowBox[{"Exact", " ", "end"}], " ", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5865384999653997`*^9, 3.5865385872634*^9}, {
   3.5865386887334003`*^9, 3.5865387218594*^9}, {3.5865394376210003`*^9, 
   3.5865394422320004`*^9}, {3.586541031185*^9, 3.586541045039*^9}, {
   3.58654111088*^9, 3.586541133624*^9}, {3.586541174664*^9, 
   3.586541182297*^9}, {3.5865423210150003`*^9, 3.586542403407*^9}, {
   3.5865424471689997`*^9, 3.586542560099*^9}, {3.586542636983*^9, 
   3.586542639843*^9}, {3.586542672638*^9, 3.586542702745*^9}, 
   3.586542836388*^9, 3.586543111951*^9, 3.5865432963050003`*^9, {
   3.586543648583*^9, 3.5865436544449997`*^9}, {3.586543687781*^9, 
   3.586543687867*^9}, {3.586543754124*^9, 3.586543797185*^9}, {
   3.5865447188269997`*^9, 3.586544719141*^9}, 3.5866160078323703`*^9, {
   3.5866161486483707`*^9, 3.5866161827753706`*^9}, {3.5866162821193705`*^9, 
   3.58661634461837*^9}, {3.58661640142737*^9, 3.5866164151273704`*^9}, {
   3.5866164560693703`*^9, 3.5866164761003704`*^9}, {3.58661983917*^9, 
   3.586619907435*^9}, {3.586619976447*^9, 3.586620172376*^9}, {
   3.586620661672*^9, 3.5866206667980003`*^9}, {3.586620765743*^9, 
   3.586620780225*^9}, {3.586620966289*^9, 3.586621123664*^9}, {
   3.586621165336*^9, 3.586621261617*^9}, {3.586621305657*^9, 
   3.5866214612279997`*^9}, {3.586621543271*^9, 3.586621595283*^9}, {
   3.586624777197*^9, 3.5866248070360003`*^9}, {3.5866248387390003`*^9, 
   3.586624861689*^9}, {3.586624892974*^9, 3.586625154295*^9}, {
   3.5866251980559998`*^9, 3.586625300701*^9}, {3.5928856837460203`*^9, 
   3.592885724931319*^9}, {3.593840705127999*^9, 3.5938407571328707`*^9}, {
   3.5938417847969913`*^9, 3.5938418344581766`*^9}, {3.5938426658472557`*^9, 
   3.593842711468584*^9}, 3.593842977427024*^9, {3.5938430465940332`*^9, 
   3.5938430548198795`*^9}, {3.5938431505757236`*^9, 
   3.5938431710882435`*^9}, {3.5938432135763645`*^9, 
   3.5938434819625406`*^9}, {3.5938806325362687`*^9, 3.5938806708053846`*^9}, 
   3.5938807307218533`*^9, {3.593880794524072*^9, 3.5938808081727333`*^9}, {
   3.5938808646647596`*^9, 3.5938808750390935`*^9}, {3.5938903730485516`*^9, 
   3.593890393443*^9}, {3.593890475766331*^9, 3.5938905495956707`*^9}, {
   3.5938905828972397`*^9, 3.5938906911979823`*^9}, {3.593890740774102*^9, 
   3.593890745695589*^9}, {3.5938907939868145`*^9, 3.593890829108719*^9}, {
   3.5938908919231973`*^9, 3.593890899460537*^9}, {3.5938913268733807`*^9, 
   3.593891326987462*^9}, 3.5948508543075523`*^9, 3.5958199382635193`*^9, {
   3.5958200391580935`*^9, 3.5958200483816333`*^9}, 3.5958203165348663`*^9, {
   3.595821493744241*^9, 3.595821524197852*^9}, {3.595821554468319*^9, 
   3.5958216896111903`*^9}, {3.5958217343309207`*^9, 
   3.5958217861756935`*^9}, {3.595821893846075*^9, 3.5958220694947076`*^9}, 
   3.595823514214567*^9, {3.5958235771111856`*^9, 3.5958235803905125`*^9}, {
   3.5962495135144978`*^9, 3.596249666354943*^9}, {3.596249778693616*^9, 
   3.5962500004979734`*^9}, {3.596250032736843*^9, 3.596250169339742*^9}, {
   3.59625058387183*^9, 3.596250598760378*^9}, {3.596250639872539*^9, 
   3.5962506421922116`*^9}, {3.596251180429015*^9, 3.5962513559645433`*^9}, {
   3.5962513903639407`*^9, 3.59625139070719*^9}, {3.5962514835750704`*^9, 
   3.5962514981213903`*^9}, {3.596251553031334*^9, 3.5962515918628826`*^9}, 
   3.5962516340658197`*^9, {3.5962517181364603`*^9, 3.596251735288628*^9}, {
   3.5962518505393867`*^9, 3.596251869791073*^9}, {3.5962519561252904`*^9, 
   3.5962519890096254`*^9}, {3.5962521260618715`*^9, 
   3.5962521334320707`*^9}, {3.596252187780635*^9, 3.5962521896309714`*^9}, {
   3.5962522432049475`*^9, 3.5962523137550015`*^9}, {3.5963363804502616`*^9, 
   3.596336391446083*^9}, {3.596336439019805*^9, 3.596336458829859*^9}, {
   3.596336720937804*^9, 3.5963367214921913`*^9}, {3.5963372134321747`*^9, 
   3.5963377116406236`*^9}, {3.596337824215463*^9, 3.5963378251121*^9}, {
   3.596338179368411*^9, 3.5963382743257804`*^9}, {3.5963384703007984`*^9, 
   3.5963384791611047`*^9}, {3.59633853654279*^9, 3.5963386048332443`*^9}, {
   3.59633873218758*^9, 3.5963388126907187`*^9}, {3.5963391620215087`*^9, 
   3.5963391801003313`*^9}, {3.596339215721601*^9, 3.596339221241536*^9}, {
   3.5963393380753994`*^9, 3.596339410184554*^9}, {3.5963395049467793`*^9, 
   3.596339526764262*^9}, {3.5963396942750883`*^9, 3.5963398623993835`*^9}, {
   3.5963399047984343`*^9, 3.5963399071280937`*^9}, {3.5963399958150215`*^9, 
   3.5963400721131268`*^9}, {3.5963403332253647`*^9, 3.596340507001666*^9}, {
   3.59634065159221*^9, 3.596340666723951*^9}, {3.5963407310886087`*^9, 
   3.5963407347311893`*^9}, {3.5979580247972507`*^9, 3.597958060454529*^9}, {
   3.5979580932417774`*^9, 3.597958207012435*^9}, {3.597959296924554*^9, 
   3.597959312800812*^9}, {3.597959538848071*^9, 3.597959606071729*^9}, {
   3.597959844550806*^9, 3.5979599752654977`*^9}, {3.597960087962376*^9, 
   3.5979601890940776`*^9}, {3.597960806080513*^9, 3.5979608084621935`*^9}, {
   3.597960876310296*^9, 3.5979608771729083`*^9}, {3.5979609469743943`*^9, 
   3.5979609667904444`*^9}, {3.5979610413983393`*^9, 
   3.5979610415844717`*^9}, {3.597961109223425*^9, 3.5979611122225523`*^9}, 
   3.5979611437208824`*^9, {3.597961198849969*^9, 3.597961198972082*^9}, {
   3.5979613400210547`*^9, 3.5979613722218847`*^9}, {3.597961548406799*^9, 
   3.5979615651926994`*^9}, {3.5979616987724276`*^9, 3.597961722373139*^9}, 
   3.597961863454156*^9, {3.5979618938266954`*^9, 3.5979620130091915`*^9}, {
   3.5979621964262238`*^9, 3.5979623235483503`*^9}, {3.597962435368629*^9, 
   3.5979624885423274`*^9}, {3.5979625339535294`*^9, 3.597962565446878*^9}, {
   3.5979626282573814`*^9, 3.597962632757599*^9}, {3.597963260490611*^9, 
   3.597963260590709*^9}, {3.602807902269663*^9, 3.602807930853948*^9}, {
   3.6028079802620544`*^9, 3.6028079824045877`*^9}, {3.6028080976784315`*^9, 
   3.602808103412523*^9}, {3.60280814244823*^9, 3.6028081547279663`*^9}, 
   3.6028083763323474`*^9, {3.6028089889184556`*^9, 3.602809026623251*^9}, {
   3.6028091516280355`*^9, 3.6028091523014865`*^9}, {3.6028093540808144`*^9, 
   3.6028093814282236`*^9}, {3.6028098270657587`*^9, 3.6028098284387336`*^9}, 
   3.6398813628249736`*^9, {3.6398814657327647`*^9, 3.6398814729719067`*^9}, 
   3.639881747269883*^9}]
},
WindowSize->{1350, 631},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 25043, 629, 1844, "Input"]
}
]
*)

(* End of internal cache information *)
