(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     35380,        949]
NotebookOptionsPosition[     35134,        936]
NotebookOutlinePosition[     35478,        951]
CellTagsIndexPosition[     35435,        948]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Program", " ", "to", " ", "apply", " ", "UA", " ", "for", " ", "ED", " ", 
    "for", " ", "unequal", " ", "power", " ", 
    RowBox[{"CCI", ".", " ", "f"}], 
    RowBox[{"(", "\[Beta]", ")"}], " ", "based", " ", "on", " ", 
    RowBox[{"Eq", ".", " ", 
     RowBox[{
      RowBox[{"(", "25", ")"}], " ", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Tokgoz", " ", "&"}], " ", "Rao"}], ",", " ", 
       RowBox[{"TVT", " ", "2006"}]}], "]"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{
    "No", ",", "pi", ",", "PIdB", ",", "P0", ",", "L", ",", "Ni", ",", 
     "\[Lambda]", ",", "k", ",", "u", ",", "\[Lambda]", ",", "Pf", ",", "Pdw",
      ",", "Pdexact", ",", "Pfreqd", ",", "SINRdB", ",", "sinr", ",", "Nptr", 
     ",", "Nwtr", ",", "Ntr", ",", "a0", ",", "a1", ",", "a2", ",", "b1", ",",
      "b2", ",", "t"}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Parameter", " ", "values"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"u", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"No", "=", "1"}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Noise", " ", "variance"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Nr", "=", "L"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PIdB", "=", 
     RowBox[{"Range", "[", 
      RowBox[{
       RowBox[{"-", "5"}], ",", "10", ",", "2"}], "]"}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
    "List", " ", "of", " ", "Interfering", " ", "signals", " ", "transmit", 
     " ", "power", " ", "in", " ", "dB"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"PIdB", "=", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "20"}], ",", 
        RowBox[{"-", "5"}], ",", "2"}], "]"}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"PIdB", "=", 
      RowBox[{"{", 
       RowBox[{
       "10.1", ",", "10.2", ",", "10.3", ",", "10.4", ",", "10.5", ",", 
        "10.6", ",", "10.7", ",", "10.8"}], "}"}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pi", "=", 
     RowBox[{"N", "[", 
      SuperscriptBox["10", 
       FractionBox["PIdB", "10"]], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ni", "=", 
     RowBox[{"Length", "[", "pi", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"SINRdB", "=", "10"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SINRdB", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "30", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"sinr", "=", 
      RowBox[{"N", "[", 
       SuperscriptBox["10", 
        FractionBox["SINRdB", "10"]], "]"}]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{"This", " ", "is", " ", "the", " ", "average", " ", "SINR"}], 
     "*)"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"P0", "=", 
      RowBox[{"sinr", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Total", "[", "pi", "]"}], "+", "No"}], ")"}]}]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{"Desired", " ", "signal", " ", "power"}], "*)"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"\[Gamma]avg", "=", 
     FractionBox["P0", 
      RowBox[{
       RowBox[{"Total", "[", "pi", "]"}], "+", "No"}]]}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"Pfreqd", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "13.276704135987625"}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"For", " ", "Pf"}], "=", "0.01"}], ",", " ", 
     RowBox[{"u", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "20.090235029663233"}], ";"}], " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
      RowBox[{"L", " ", "=", " ", "5"}], ",", " ", 
      RowBox[{"u", " ", "=", " ", "4"}]}], "*)"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pf", "=", 
     FractionBox[
      RowBox[{"Gamma", "[", 
       RowBox[{"u", ",", 
        RowBox[{"\[Lambda]", "/", "2.0"}]}], "]"}], 
      RowBox[{"Gamma", "[", "u", "]"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Pfreqd", "-", 
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", ",", 
           RowBox[{"\[Lambda]", "/", "2"}]}], "]"}], 
         RowBox[{"Gamma", "[", "u", "]"}]]}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ",", "10"}], "}"}]}], "]"}], "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", " ", "Exact", " ", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Pdexact", "=", 
     RowBox[{
      FractionBox["P0", 
       RowBox[{"Factorial", "[", 
        RowBox[{"L", "-", "1"}], "]"}]], "*", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"MarcumQ", "[", 
          RowBox[{"u", ",", 
           SqrtBox[
            RowBox[{"2", "*", "x"}]], ",", 
           SqrtBox["\[Lambda]"]}], "]"}], "*", 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"k", "=", "1"}], "Ni"], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"Product", "[", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"i", "\[NotEqual]", "k"}], ",", 
                FractionBox[
                 RowBox[{"pi", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], 
                 RowBox[{
                  RowBox[{"pi", "[", 
                   RowBox[{"[", "k", "]"}], "]"}], "-", 
                  RowBox[{"pi", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}]], ",", "1"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "Ni"}], "}"}]}], "]"}], ")"}], "*", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"No", "/", 
               RowBox[{"pi", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}]], "*", 
             SuperscriptBox[
              RowBox[{"pi", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "L"], 
             SuperscriptBox["x", 
              RowBox[{"L", "-", "1"}]]}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"x", "*", 
                RowBox[{"pi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}], "+", "P0"}], ")"}], 
             RowBox[{"L", "+", "1"}]]], "*", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"L", "+", "1"}], ",", 
             RowBox[{"No", "*", 
              FractionBox[
               RowBox[{
                RowBox[{"x", "*", 
                 RowBox[{"pi", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]}], "+", "P0"}], 
               RowBox[{"P0", "*", 
                RowBox[{"pi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]}]]}]}], "]"}]}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", 
      RowBox[{"Exact", " ", "end"}], " ", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "==="}], "="}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{"(*", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", " ", "Wang", " ", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     StyleBox[
      RowBox[{"t", "=", 
       RowBox[{"L", "-", "1"}]}],
      FontFamily->"Courier New"], 
     StyleBox[";",
      FontFamily->"Courier New"], "\[IndentingNewLine]", 
     StyleBox[
      RowBox[{"a0", "=", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Product", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"i", "\[NotEqual]", "k"}], ",", 
               FractionBox[
                RowBox[{"pi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], 
                RowBox[{
                 RowBox[{"pi", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], "-", 
                 RowBox[{"pi", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}]], ",", "1"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "Ni"}], "}"}]}], "]"}], ")"}], "*", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"pi", "[", 
              RowBox[{"[", "k", "]"}], "]"}], 
             RowBox[{
              RowBox[{"Total", "[", "pi", "]"}], "+", "No"}]], ")"}], "L"], 
          "*", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"No", "/", 
            RowBox[{"pi", "[", 
             RowBox[{"[", "k", "]"}], "]"}]}]], "*", 
          RowBox[{"Gamma", "[", 
           RowBox[{
            RowBox[{"L", "+", "1"}], ",", 
            FractionBox["No", 
             RowBox[{"pi", "[", 
              RowBox[{"[", "k", "]"}], "]"}]]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", "Ni"}], "}"}]}], "]"}]}],
      FontFamily->"Courier New"], 
     StyleBox[";",
      FontFamily->"Courier New"], "\[IndentingNewLine]", 
     StyleBox["\[IndentingNewLine]",
      FontFamily->"Courier New"], 
     RowBox[{"Nwtr", "=", "100"}], ";", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{":", " ", 
        RowBox[{
        "Needed", " ", "for", " ", "alternative", " ", "series", " ", 
         "form"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
     StyleBox["\[IndentingNewLine]",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["Pdw",
       FontFamily->"Courier New"], 
      StyleBox["=",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["1",
        FontFamily->"Courier New"], 
       StyleBox["-",
        FontFamily->"Courier New"], 
       RowBox[{
        StyleBox["a0",
         FontFamily->"Courier New"], 
        StyleBox["*",
         FontFamily->"Courier New"], 
        StyleBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", 
           FractionBox["\[Lambda]", "2"]}]],
         FontFamily->"Courier New"], 
        RowBox[{
         StyleBox["Sum",
          FontFamily->"Courier New"], 
         StyleBox["[",
          FontFamily->"Courier New"], 
         RowBox[{
          RowBox[{
           StyleBox[
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]],
            FontFamily->"Courier New"], 
           StyleBox["*",
            FontFamily->"Courier New"], 
           RowBox[{
            StyleBox["NIntegrate",
             FontFamily->"Courier New"], 
            StyleBox["[",
             FontFamily->"Courier New"], 
            RowBox[{
             RowBox[{
              StyleBox[
               SuperscriptBox[
                StyleBox["\[Beta]",
                 FontFamily->"Courier New"], 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]],
               FontFamily->"Courier New"], 
              StyleBox["*",
               FontFamily->"Courier New"], 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "\[Gamma]avg"}], "*", "\[Beta]"}]], "*", 
              RowBox[{"BesselI", "[", 
               RowBox[{"k", ",", 
                SqrtBox[
                 RowBox[{
                 "2", "*", "\[Gamma]avg", "*", "\[Beta]", "*", 
                  "\[Lambda]"}]]}], "]"}]}], 
             StyleBox[",",
              FontFamily->"Courier New"], 
             RowBox[{
              StyleBox["{",
               FontFamily->"Courier New"], 
              RowBox[{
               StyleBox["\[Beta]",
                FontFamily->"Courier New"], 
               StyleBox[",",
                FontFamily->"Courier New"], 
               StyleBox["0",
                FontFamily->"Courier New"], 
               StyleBox[",",
                FontFamily->"Courier New"], "\[Infinity]"}], "}"}]}], 
            StyleBox["]",
             FontFamily->"Courier New"]}]}], 
          StyleBox[",",
           FontFamily->"Courier New"], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nwtr"}], "}"}],
           FontFamily->"Courier New"]}], 
         StyleBox["]",
          FontFamily->"Courier New"]}]}]}]}]}], 
    StyleBox[" ",
     FontFamily->"Courier New"], 
    StyleBox[
     RowBox[{"(*", 
      RowBox[{
      "This", " ", "version", " ", "works", " ", "for", " ", "this", " ", 
       "case"}], "*)"}],
     FontFamily->"Courier New"], "\[IndentingNewLine]", "\[IndentingNewLine]",
     "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", 
      RowBox[{"Wang", " ", "end"}], " ", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], 
    RowBox[{
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["\[Equal]",
       FontFamily->"Courier New"], 
      RowBox[{"BT", 
       StyleBox[":",
        FontFamily->"Courier New"], 
       StyleBox[" ",
        FontFamily->"Courier New"], 
       StyleBox[
        RowBox[{
         RowBox[{"3", "-", 
          RowBox[{"term", " ", 
           RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
           "approximation"}]}], "===", "===", "===", "===", "===", "===", "===",
          "===", "===", "===", "=="}],
        FontFamily->"Courier New"]}]}]}], 
    StyleBox["*)",
     FontFamily->"Courier New"]}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"t", "=", 
     RowBox[{"L", "-", "1"}]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a0", "=", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Product", "[", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"i", "\[NotEqual]", "k"}], ",", 
              FractionBox[
               RowBox[{"pi", "[", 
                RowBox[{"[", "k", "]"}], "]"}], 
               RowBox[{
                RowBox[{"pi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "-", 
                RowBox[{"pi", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}]], ",", "1"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "Ni"}], "}"}]}], "]"}], ")"}], "*", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox[
            RowBox[{"pi", "[", 
             RowBox[{"[", "k", "]"}], "]"}], 
            RowBox[{
             RowBox[{"Total", "[", "pi", "]"}], "+", "No"}]], ")"}], "L"], 
         "*", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"No", "/", 
           RowBox[{"pi", "[", 
            RowBox[{"[", "k", "]"}], "]"}]}]], "*", 
         RowBox[{"Gamma", "[", 
          RowBox[{
           RowBox[{"L", "+", "1"}], ",", 
           FractionBox["No", 
            RowBox[{"pi", "[", 
             RowBox[{"[", "k", "]"}], "]"}]]}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "1", ",", "Ni"}], "}"}]}], "]"}]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{
     StyleBox["a1",
      FontFamily->"Courier New"], 
     StyleBox["=",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["-",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["Sum",
        FontFamily->"Courier New"], "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Product", "[", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"i", "\[NotEqual]", "k"}], ",", 
              FractionBox[
               RowBox[{"pi", "[", 
                RowBox[{"[", "k", "]"}], "]"}], 
               RowBox[{
                RowBox[{"pi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], "-", 
                RowBox[{"pi", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}]], ",", "1"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "Ni"}], "}"}]}], "]"}], ")"}], "*", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox[
            RowBox[{"pi", "[", 
             RowBox[{"[", "k", "]"}], "]"}], 
            RowBox[{
             RowBox[{"Total", "[", "pi", "]"}], "+", "No"}]], ")"}], 
          RowBox[{"L", "+", "1"}]], "*", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             FractionBox["No", 
              RowBox[{"pi", "[", 
               RowBox[{"[", "k", "]"}], "]"}]], ")"}], 
            RowBox[{"L", "+", "1"}]], "+", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", 
             FractionBox["No", 
              RowBox[{"pi", "[", 
               RowBox[{"[", "k", "]"}], "]"}]]], " ", "*", 
            RowBox[{"(", 
             RowBox[{"L", "+", "1"}], ")"}], "*", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"L", "+", "1"}], ",", 
              FractionBox["No", 
               RowBox[{"pi", "[", 
                RowBox[{"[", "k", "]"}], "]"}]]}], "]"}]}]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "1", ",", "Ni"}], "}"}]}], "]"}]}]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{
     StyleBox["a2",
      FontFamily->"Courier New"], 
     StyleBox["=",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox[
       FractionBox["1", "2"],
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["Sum",
        FontFamily->"Courier New"], 
       StyleBox["[",
        FontFamily->"Courier New"], 
       RowBox[{
        RowBox[{
         StyleBox[
          RowBox[{"(", 
           RowBox[{"Product", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"i", "\[NotEqual]", "k"}], ",", 
               FractionBox[
                RowBox[{"pi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], 
                RowBox[{
                 RowBox[{"pi", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], "-", 
                 RowBox[{"pi", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}]], ",", "1"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "Ni"}], "}"}]}], "]"}], ")"}],
          FontFamily->"Courier New"], 
         StyleBox["*",
          FontFamily->"Courier New"], 
         StyleBox[
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"pi", "[", 
              RowBox[{"[", "k", "]"}], "]"}], 
             RowBox[{
              RowBox[{"Total", "[", "pi", "]"}], "+", "No"}]], ")"}], 
           RowBox[{"L", "+", "2"}]],
          FontFamily->"Courier New"], 
         StyleBox["*",
          FontFamily->"Courier New"], 
         RowBox[{
          StyleBox["(",
           FontFamily->"Courier New"], 
          RowBox[{
           RowBox[{
            StyleBox[
             SuperscriptBox["\[ExponentialE]", 
              FractionBox["No", 
               RowBox[{"pi", "[", 
                RowBox[{"[", "k", "]"}], "]"}]]],
             FontFamily->"Courier New"], 
            StyleBox[" ",
             FontFamily->"Courier New"], 
            StyleBox["*",
             FontFamily->"Courier New"], 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["L", "2"], 
              StyleBox["+",
               FontFamily->"Courier New"], 
              StyleBox[
               RowBox[{"3", "*", "L"}],
               FontFamily->"Courier New"], 
              StyleBox["+",
               FontFamily->"Courier New"], 
              StyleBox["2",
               FontFamily->"Courier New"]}], 
             StyleBox[")",
              FontFamily->"Courier New"]}], 
            StyleBox["*",
             FontFamily->"Courier New"], 
            StyleBox[
             RowBox[{"Gamma", "[", 
              RowBox[{
               RowBox[{"L", "+", "1"}], ",", 
               FractionBox["No", 
                RowBox[{"pi", "[", 
                 RowBox[{"[", "k", "]"}], "]"}]]}], "]"}],
             FontFamily->"Courier New"]}], 
           StyleBox["+",
            FontFamily->"Courier New"], 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["No", 
               RowBox[{"pi", "[", 
                RowBox[{"[", "k", "]"}], "]"}]], ")"}], 
             RowBox[{"L", "+", "1"}]], "*", 
            RowBox[{"(", 
             RowBox[{"2", "+", 
              RowBox[{"2", "*", "L"}], "-", 
              RowBox[{
               SuperscriptBox["\[ExponentialE]", 
                FractionBox["No", 
                 RowBox[{"pi", "[", 
                  RowBox[{"[", "k", "]"}], "]"}]]], " ", "*", 
               RowBox[{"Gamma", "[", 
                RowBox[{"L", "+", "1"}], "]"}], "*", 
               RowBox[{"Hypergeometric1F1Regularized", "[", 
                RowBox[{
                 RowBox[{"L", "+", "1"}], ",", "L", ",", 
                 RowBox[{"-", 
                  FractionBox["No", 
                   RowBox[{"pi", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]]}]}], "]"}]}]}], ")"}]}]}], 
          StyleBox[")",
           FontFamily->"Courier New"]}]}], 
        StyleBox[",",
         FontFamily->"Courier New"], 
        StyleBox[
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", "Ni"}], "}"}],
         FontFamily->"Courier New"]}], 
       StyleBox["]",
        FontFamily->"Courier New"]}]}]}], 
    StyleBox[";",
     FontFamily->"Courier New"]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     FractionBox["a0", "2"]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{
     StyleBox["b1",
      FontFamily->"Courier New"], 
     StyleBox["=",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["-",
       FontFamily->"Courier New"], 
      FractionBox["a1", "a"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b2", "=", 
     RowBox[{"2", "*", 
      FractionBox["a2", "a"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "EITHER", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]1", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]2", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Nptr", "=", "150"}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdbt",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{"1", "-", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]1", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}], 
       "+", 
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]2", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}]}], 
      "]"}]}]}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
      RowBox[{"BT", ":", " ", 
       RowBox[{
        RowBox[{"3", "-", 
         RowBox[{"term", " ", 
          RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
          "approximation"}]}], "===", "===", "===", "===", "===", "===", "===",
         "===", "===", "===", "=="}]}]}], "*)"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6022182380906625`*^9, 3.6022182550487146`*^9}, {
   3.6022204545378623`*^9, 3.6022205185183535`*^9}, {3.6022205670958767`*^9, 
   3.6022206244846616`*^9}, {3.6022206923768873`*^9, 3.602220720220683*^9}, {
   3.602220802532175*^9, 3.602220802940487*^9}, {3.602221130514288*^9, 
   3.6022211342839403`*^9}, {3.602221209627492*^9, 3.602221224090765*^9}, {
   3.602221614630315*^9, 3.602221649867361*^9}, {3.602221716345607*^9, 
   3.6022218231545367`*^9}, {3.6022219011219225`*^9, 3.602221907081155*^9}, {
   3.602221985457855*^9, 3.6022221218287992`*^9}, {3.602222282459931*^9, 
   3.6022223003186493`*^9}, {3.6022225007120686`*^9, 3.6022225031518*^9}, {
   3.6022225410076823`*^9, 3.602222541801259*^9}, 3.6022594045027714`*^9, {
   3.6022594783342113`*^9, 3.6022594992180815`*^9}, {3.602260238344367*^9, 
   3.6022602384524155`*^9}, {3.602260271063592*^9, 3.6022602815830755`*^9}, {
   3.602260479458722*^9, 3.602260483720724*^9}, 3.6022606041003027`*^9, {
   3.602260759607792*^9, 3.602260794076316*^9}, 3.602260844801366*^9, {
   3.602263486510786*^9, 3.6022634868870535`*^9}, {3.6028112024065857`*^9, 
   3.602811247384551*^9}, {3.6028113048483534`*^9, 3.602811336555895*^9}, 
   3.6028122151729107`*^9, {3.6028133779497876`*^9, 3.602813379269726*^9}, {
   3.6347681157666707`*^9, 3.634768148299764*^9}, {3.6347681937240353`*^9, 
   3.6347682074928093`*^9}, {3.6347683498988705`*^9, 3.634768352674843*^9}, 
   3.6347684016756186`*^9, {3.634773278395478*^9, 3.634773310605369*^9}, {
   3.6347735086969805`*^9, 3.634773526287444*^9}, {3.6347735590517025`*^9, 
   3.634773593142895*^9}, {3.6347737984436226`*^9, 3.6347738462495575`*^9}, {
   3.6347740189651585`*^9, 3.6347740641252117`*^9}, {3.6347741332482777`*^9, 
   3.6347741488593583`*^9}, {3.6347743474793444`*^9, 
   3.6347744233501997`*^9}, {3.634774457463414*^9, 3.6347745019059668`*^9}, {
   3.6347745458671937`*^9, 3.6347745749538193`*^9}, {3.634774669277766*^9, 
   3.6347747588833714`*^9}, {3.634774793937253*^9, 3.634775017893224*^9}, {
   3.634775059156516*^9, 3.6347753879388924`*^9}, {3.6347760741640224`*^9, 
   3.634776087279333*^9}, {3.634776155269574*^9, 3.634776216212834*^9}, {
   3.634776248506753*^9, 3.63477628636563*^9}, {3.634776320476865*^9, 
   3.634776321115316*^9}, {3.634776351230665*^9, 3.634776417966037*^9}, {
   3.634776866424365*^9, 3.6347768746662207`*^9}, {3.6347769059594555`*^9, 
   3.634777068927136*^9}, {3.6347771457886653`*^9, 3.634777150685149*^9}, {
   3.6347771958122015`*^9, 3.634777234538663*^9}, {3.6347777483183594`*^9, 
   3.6347777557256174`*^9}, {3.6347788619708614`*^9, 
   3.6347788792961597`*^9}, {3.634779059323948*^9, 3.634779230249275*^9}, {
   3.6347792744466667`*^9, 3.6347792871977186`*^9}, {3.634779559923293*^9, 
   3.634779629503682*^9}, {3.634779867063306*^9, 3.6347799215489855`*^9}, {
   3.634779977243515*^9, 3.6347799941134887`*^9}, {3.634780424556033*^9, 
   3.6347804406334414`*^9}, {3.63478051821351*^9, 3.6347806121792088`*^9}, {
   3.6347806677516594`*^9, 3.634780678587347*^9}, {3.63478102454792*^9, 
   3.6347811296135187`*^9}, {3.63478116066154*^9, 3.6347811716093283`*^9}, {
   3.6347842974971294`*^9, 3.6347844154218187`*^9}, {3.6347846667392197`*^9, 
   3.634784932771077*^9}, {3.6347853984245825`*^9, 3.634785422957997*^9}, {
   3.634785643010198*^9, 3.634785646833912*^9}, {3.6347857056746774`*^9, 
   3.6347857860527363`*^9}, {3.6347862042866125`*^9, 3.634786206714336*^9}, {
   3.634786545139557*^9, 3.6347865566006937`*^9}, {3.634787107044411*^9, 
   3.634787123753276*^9}, {3.634787166497614*^9, 3.6347872075597672`*^9}, {
   3.6347872826760798`*^9, 3.6347873050849876`*^9}, {3.6347874917915163`*^9, 
   3.634787499670138*^9}, {3.6347877414757576`*^9, 3.6347877723837147`*^9}, {
   3.6347878333639755`*^9, 3.634787954858219*^9}, {3.6347879863826*^9, 
   3.6347879888013153`*^9}, {3.6347880646972094`*^9, 3.634788067552228*^9}, {
   3.634788324886423*^9, 3.6347883725622845`*^9}, {3.6347885416582975`*^9, 
   3.634788613011962*^9}, {3.6347886432084055`*^9, 3.6347887615133533`*^9}, {
   3.634788965050831*^9, 3.634788985338231*^9}, {3.6347905848526115`*^9, 
   3.634790627956217*^9}, {3.634791459141226*^9, 3.634791481846326*^9}, {
   3.6347916003674545`*^9, 3.6347916004165187`*^9}, {3.634871043181465*^9, 
   3.6348710750320187`*^9}, {3.6348711361803193`*^9, 
   3.6348711362563562`*^9}, {3.634871916784062*^9, 3.634871941410511*^9}, {
   3.6348720954005623`*^9, 3.634872102744775*^9}, {3.6348724557647247`*^9, 
   3.6348724659569597`*^9}, {3.634872630867735*^9, 3.6348726309067655`*^9}, {
   3.6348731940705338`*^9, 3.6348732149303226`*^9}, {3.634873418468435*^9, 
   3.6348734284795227`*^9}, {3.6348735419648857`*^9, 
   3.6348735818611355`*^9}, {3.6398813778496213`*^9, 3.639881385054696*^9}, {
   3.6398815022335725`*^9, 3.639881507650405*^9}}]
},
WindowSize->{1350, 631},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 34573, 914, 1920, "Input"]
}
]
*)

(* End of internal cache information *)
