(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     13184,        352]
NotebookOptionsPosition[     12939,        339]
NotebookOutlinePosition[     13283,        354]
CellTagsIndexPosition[     13240,        351]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Program", " ", "to", " ", "test", " ", "the", " ", "UA", " ", "for", " ", 
    "ED", " ", "in", " ", 
    RowBox[{"i", ".", "n", ".", "d", ".", " ", "Rayleigh"}], " ", "fading", 
    " ", "channels", " ", "with", " ", "MRC"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{
    "\[Gamma]", ",", "\[Beta]", ",", "\[Lambda]", ",", "k", ",", "u", ",", 
     "\[Lambda]", ",", "Pdexact", ",", "Pf", ",", "Pdw", ",", "Pdp", ",", 
     "Pfreqd", ",", "\[Gamma]avg", ",", "SNRdB", ",", "Nw", ",", "Np", ",", 
     "Nwtr", ",", "Nptr", ",", "a", ",", "a1", ",", "\[Alpha]", ",", 
     "Pdexactv2", ",", "L", ",", "snrlen", ",", "b1", ",", "b2", ",", "t"}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Parameter", " ", "values"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"u", "=", "2"}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"SNRdB", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "20", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"snrlen", "=", 
     RowBox[{"Length", "[", "SNRdB", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"SNRdB", "=", "5"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"\[Gamma]avg", "=", 
      RowBox[{"N", "[", 
       SuperscriptBox["10", 
        FractionBox["SNRdB", "10"]], "]"}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pfreqd", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "13.276704135987625"}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], "=", "0.01"}], ",", " ", 
      RowBox[{"L", "=", "2"}], ",", " ", 
      RowBox[{"u", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"\[Lambda]", "=", "20.090235029663233"}], ";"}], " ", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
       RowBox[{"L", " ", "=", " ", "5"}], ",", " ", 
       RowBox[{"u", " ", "=", " ", "4"}]}], "*)"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"Pf", "=", 
     FractionBox[
      RowBox[{"Gamma", "[", 
       RowBox[{"u", ",", 
        RowBox[{"\[Lambda]", "/", "2.0"}]}], "]"}], 
      RowBox[{"Gamma", "[", "u", "]"}]]}]}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"(*", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Pfreqd", "-", 
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", ",", 
           RowBox[{"\[Lambda]", "/", "2"}]}], "]"}], 
         RowBox[{"Gamma", "[", "u", "]"}]]}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ",", "10"}], "}"}]}], "]"}], "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{"BT", ":", " ", 
      RowBox[{"3", "-", 
       RowBox[{"term", " ", 
        RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
        "approximation"}]}]}], "*)"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a", "=", 
      FractionBox["1", 
       RowBox[{"4", "*", 
        RowBox[{"Gamma", "[", "L", "]"}]}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"b1", "=", 
      FractionBox[
       RowBox[{"3", "/", "4"}], 
       RowBox[{"a", "*", "L", "*", 
        RowBox[{"Gamma", "[", "L", "]"}]}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"b2", "=", 
      FractionBox[
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"1", "/", "8"}], "+", 
          RowBox[{"1", "/", "2"}], "+", 
          RowBox[{"1", "/", "4"}]}], ")"}]}], 
       RowBox[{"a", "*", "L", "*", 
        RowBox[{"(", 
         RowBox[{"L", "+", "1"}], ")"}], "*", 
        RowBox[{"Gamma", "[", "L", "]"}]}]]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"t", "=", 
      RowBox[{"L", "-", "1"}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{"(*", "EITHER", "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"\[Theta]1", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]2", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "OR", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"\[Theta]1", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"\[Theta]2", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Nptr", "=", "70"}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdbt",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{"1", "-", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]1", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}], 
       "+", 
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]2", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}]}], 
      "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"End", " ", "of", " ", "BT"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5865384999653997`*^9, 3.5865385872634*^9}, {
   3.5865386887334003`*^9, 3.5865387218594*^9}, {3.5865394376210003`*^9, 
   3.5865394422320004`*^9}, {3.586541031185*^9, 3.586541045039*^9}, {
   3.58654111088*^9, 3.586541133624*^9}, {3.586541174664*^9, 
   3.586541182297*^9}, {3.5865423210150003`*^9, 3.586542403407*^9}, {
   3.5865424471689997`*^9, 3.586542560099*^9}, {3.586542636983*^9, 
   3.586542639843*^9}, {3.586542672638*^9, 3.586542702745*^9}, 
   3.586542836388*^9, 3.586543111951*^9, 3.5865432963050003`*^9, {
   3.586543648583*^9, 3.5865436544449997`*^9}, {3.586543687781*^9, 
   3.586543687867*^9}, {3.586543754124*^9, 3.586543797185*^9}, {
   3.5865447188269997`*^9, 3.586544719141*^9}, 3.5866160078323703`*^9, {
   3.5866161486483707`*^9, 3.5866161827753706`*^9}, {3.5866162821193705`*^9, 
   3.58661634461837*^9}, {3.58661640142737*^9, 3.5866164151273704`*^9}, {
   3.5866164560693703`*^9, 3.5866164761003704`*^9}, {3.58661983917*^9, 
   3.586619907435*^9}, {3.586619976447*^9, 3.586620172376*^9}, {
   3.586620661672*^9, 3.5866206667980003`*^9}, {3.586620765743*^9, 
   3.586620780225*^9}, {3.586620966289*^9, 3.586621123664*^9}, {
   3.586621165336*^9, 3.586621261617*^9}, {3.586621305657*^9, 
   3.5866214612279997`*^9}, {3.586621543271*^9, 3.586621595283*^9}, {
   3.586624777197*^9, 3.5866248070360003`*^9}, {3.5866248387390003`*^9, 
   3.586624861689*^9}, {3.586624892974*^9, 3.586625154295*^9}, {
   3.5866251980559998`*^9, 3.586625300701*^9}, {3.5928856837460203`*^9, 
   3.592885724931319*^9}, {3.593840705127999*^9, 3.5938407571328707`*^9}, {
   3.5938417847969913`*^9, 3.5938418344581766`*^9}, {3.5938426658472557`*^9, 
   3.593842711468584*^9}, 3.593842977427024*^9, {3.5938430465940332`*^9, 
   3.5938430548198795`*^9}, {3.5938431505757236`*^9, 
   3.5938431710882435`*^9}, {3.5938432135763645`*^9, 
   3.5938434819625406`*^9}, {3.5938806325362687`*^9, 3.5938806708053846`*^9}, 
   3.5938807307218533`*^9, {3.593880794524072*^9, 3.5938808081727333`*^9}, {
   3.5938808646647596`*^9, 3.5938808750390935`*^9}, {3.5938903730485516`*^9, 
   3.593890393443*^9}, {3.593890475766331*^9, 3.5938905495956707`*^9}, {
   3.5938905828972397`*^9, 3.5938906911979823`*^9}, {3.593890740774102*^9, 
   3.593890745695589*^9}, {3.5938907939868145`*^9, 3.593890829108719*^9}, {
   3.5938908919231973`*^9, 3.593890899460537*^9}, {3.5938913268733807`*^9, 
   3.593891326987462*^9}, 3.5948508543075523`*^9, 3.5958199382635193`*^9, {
   3.5958200391580935`*^9, 3.5958200483816333`*^9}, 3.5958203165348663`*^9, {
   3.595821493744241*^9, 3.595821524197852*^9}, {3.595821554468319*^9, 
   3.5958216896111903`*^9}, {3.5958217343309207`*^9, 
   3.5958217861756935`*^9}, {3.595821893846075*^9, 3.5958220694947076`*^9}, 
   3.595823514214567*^9, {3.5958235771111856`*^9, 3.5958235803905125`*^9}, 
   3.639881327812211*^9, {3.639881942271797*^9, 3.6398819578348074`*^9}, 
   3.6398827675565205`*^9, {3.639882820032613*^9, 3.6398828323793564`*^9}}]
},
WindowSize->{1350, 631},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 12378, 317, 889, "Input"]
}
]
*)

(* End of internal cache information *)
