(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26285,        707]
NotebookOptionsPosition[     26039,        694]
NotebookOutlinePosition[     26383,        709]
CellTagsIndexPosition[     26340,        706]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Program", " ", "to", " ", "test", " ", "the", " ", "UA", " ", "for", " ",
      "ED", " ", "in", " ", 
     RowBox[{"i", ".", "n", ".", "d", ".", " ", "Rayleigh"}], " ", "fading", 
     " ", "channels", " ", "in", " ", "MRC", " ", "using", " ", "DT"}], "-", 
    RowBox[{"based", " ", "approach", " ", "with", " ", "MGF"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Exact", " ", "valid", " ", "only", " ", "for", " ", "L"}], " ", 
    "=", " ", 
    RowBox[{"5", " ", "antennas"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{
    "\[Gamma]", ",", "\[Beta]", ",", "\[Lambda]", ",", "k", ",", "u", ",", 
     "\[Lambda]", ",", "Pdexact", ",", "Pf", ",", "Pdw", ",", "Pdp", ",", 
     "Pfreqd", ",", "\[Gamma]avg", ",", "SNRdB", ",", "Nw", ",", "Np", ",", 
     "Nwtr", ",", "Nptr", ",", "a", ",", "a1", ",", "\[Alpha]", ",", 
     "Pdexactv2", ",", "L", ",", "snrlen"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Parameter", " ", "values"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"u", "=", "4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SNRdB", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "20", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"snrlen", "=", 
     RowBox[{"Length", "[", "SNRdB", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"\[Gamma]avg", "=", 
      RowBox[{"N", "[", 
       SuperscriptBox["10", 
        FractionBox["SNRdB", "10"]], "]"}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pfreqd", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "13.276704135987625"}], ";"}], " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], "=", "0.01"}], ",", " ", 
      RowBox[{"L", "=", "5"}], ",", " ", 
      RowBox[{"u", "=", "2"}]}], "*)"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "20.090235029663233"}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
      RowBox[{"L", " ", "=", " ", "5"}], ",", " ", 
      RowBox[{"u", " ", "=", " ", "4"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Pf", "=", 
     FractionBox[
      RowBox[{"Gamma", "[", 
       RowBox[{"u", ",", 
        RowBox[{"\[Lambda]", "/", "2.0"}]}], "]"}], 
      RowBox[{"Gamma", "[", "u", "]"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Pfreqd", "-", 
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", ",", 
           RowBox[{"\[Lambda]", "/", "2"}]}], "]"}], 
         RowBox[{"Gamma", "[", "u", "]"}]]}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ",", "15"}], "}"}]}], "]"}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     StyleBox[
      RowBox[{"(", "*"}]], 
     RowBox[{"BT", " ", "start"}], 
     StyleBox[
      RowBox[{"*", ")"}]]}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{
       StyleBox["\[Phi]",
        FontFamily->"Courier New"], "[", "l_", "]"}], ":=", 
      RowBox[{"L", "*", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"k", "=", "0"}], 
         RowBox[{"L", "-", "1"}]], 
        RowBox[{
         RowBox[{"Binomial", "[", 
          RowBox[{
           RowBox[{"L", "-", "1"}], ",", "k"}], "]"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"k", "+", "l"}]], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "+", "1"}], ")"}], "l"]}]}]}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"a", "=", 
      FractionBox["1", 
       RowBox[{
        RowBox[{"L", "!"}], "*", 
        RowBox[{"Gamma", "[", "L", "]"}]}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a1", "=", 
      FractionBox[
       RowBox[{
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           FractionBox[
            RowBox[{"-", "1"}], 
            SuperscriptBox["j", "2"]], "*", 
           RowBox[{"Product", "[", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"i", "\[NotEqual]", "j"}], ",", 
               FractionBox["1", "i"], ",", "1"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "L"}], "}"}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "L"}], "}"}]}], "]"}], " "}], 
       RowBox[{"Gamma", "[", 
        RowBox[{"L", "+", "1"}], "]"}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"\[Alpha]", "=", 
      RowBox[{"-", 
       FractionBox["a1", "a"]}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{"BT", ":", " ", 
      RowBox[{
       RowBox[{"Approach", " ", 
        RowBox[{"(", "i", ")"}], " ", "Series", " ", "representation", " ", 
        "of", " ", "Marcum"}], "-", 
       RowBox[{"Q", " ", "function"}]}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Nptr", "=", "70"}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdprof",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{"1", "-", 
     RowBox[{"N", "[", 
      RowBox[{"a", "*", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
       RowBox[{"(", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             FractionBox["\[Lambda]", 
              RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
            RowBox[{"k", "/", "2"}]], "*", 
           RowBox[{"NIntegrate", "[", 
            RowBox[{
             RowBox[{
              SuperscriptBox["x", 
               RowBox[{"L", "-", "1", "-", 
                RowBox[{"k", "/", "2"}]}]], "*", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{"\[Alpha]", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                "x"}]], "*", 
              RowBox[{"BesselI", "[", 
               RowBox[{"k", ",", 
                SqrtBox[
                 RowBox[{
                 "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
               "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
          "\[IndentingNewLine]", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}], 
      "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"WANG", "/", "Giannakis"}], " ", "APPROACH"}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"My", " ", "alternative", " ", "derivation"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdw",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{
     StyleBox["1",
      FontFamily->"Courier New"], 
     StyleBox["+",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["a",
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      StyleBox[
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox["\[Lambda]", "2"]}]],
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox[
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"k", "=", 
          RowBox[{
           RowBox[{"-", "u"}], "+", "1"}]}], 
         RowBox[{"u", "-", "1"}]],
        FontFamily->"Courier New"], 
       RowBox[{
        StyleBox[
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["\[Lambda]", 
            RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
          FractionBox["k", "2"]],
         FontFamily->"Courier New"], 
        StyleBox["*",
         FontFamily->"Courier New"], 
        RowBox[{
         StyleBox["NIntegrate",
          FontFamily->"Courier New"], 
         StyleBox["[",
          FontFamily->"Courier New"], 
         RowBox[{
          StyleBox[
           RowBox[{
            SuperscriptBox["x", 
             RowBox[{"L", "-", 
              FractionBox["k", "2"], "-", "1"}]], "*", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "\[Gamma]avg"}], "*", "x"}]], "*", 
            RowBox[{"BesselI", "[", 
             RowBox[{"k", ",", 
              SqrtBox[
               RowBox[{
               "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
             "]"}]}],
           FontFamily->"Courier New"], 
          StyleBox[",",
           FontFamily->"Courier New"], 
          RowBox[{
           StyleBox["{",
            FontFamily->"Courier New"], 
           RowBox[{
            StyleBox["x",
             FontFamily->"Courier New"], 
            StyleBox[",",
             FontFamily->"Courier New"], 
            StyleBox["0",
             FontFamily->"Courier New"], 
            StyleBox[",",
             FontFamily->"Courier New"], "\[Infinity]"}], "}"}]}], 
         StyleBox["]",
          FontFamily->"Courier New"]}]}]}]}], 
     StyleBox["-",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["a",
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      FractionBox[
       RowBox[{"Gamma", "[", 
        RowBox[{"u", "+", "L"}], "]"}], 
       RowBox[{"L", "*", 
        SuperscriptBox["\[Gamma]avg", "L"], "*", 
        RowBox[{"Gamma", "[", "u", "]"}]}]], "*", 
      RowBox[{"Hypergeometric1F1", "[", 
       RowBox[{
        RowBox[{"-", "L"}], ",", "u", ",", 
        RowBox[{"-", 
         FractionBox["\[Lambda]", "2"]}]}], "]"}]}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Analytical", " ", "expressions", " ", "for", " ", "average", " ", 
     "detection", " ", 
     RowBox[{"probability", ":", " ", 
      RowBox[{
       RowBox[{"contour", " ", "integral"}], "-", "based"}]}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "EXACT", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "looping", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Clear", "[", 
    RowBox[{
    "Pd", ",", "\[Theta]1", ",", "\[Theta]2", ",", "ReTheta1", ",", 
     "ReTheta2", ",", "ReTheta3", ",", "ReTheta4", ",", "ReTheta5", ",", 
     "ReZero", ",", "i"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Pd", "  ", "=", 
      RowBox[{"{", "Null", "}"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pd", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "snrlen", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "1"}], ",", 
     RowBox[{"i", "\[LessEqual]", " ", "snrlen"}], ",", 
     RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Theta]", "1"], "=", 
       FractionBox[
        RowBox[{
         RowBox[{"\[Gamma]avg", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "*", "1"}], 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"\[Gamma]avg", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "*", "1"}]}]]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       SubscriptBox["\[Theta]", "2"], "=", 
       FractionBox[
        RowBox[{
         RowBox[{"\[Gamma]avg", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "*", "2"}], 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"\[Gamma]avg", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "*", "2"}]}]]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       SubscriptBox["\[Theta]", "3"], "=", 
       FractionBox[
        RowBox[{
         RowBox[{"\[Gamma]avg", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "*", "3"}], 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"\[Gamma]avg", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "*", "3"}]}]]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       SubscriptBox["\[Theta]", "4"], "=", 
       FractionBox[
        RowBox[{
         RowBox[{"\[Gamma]avg", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "*", "4"}], 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"\[Gamma]avg", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "*", "4"}]}]]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       SubscriptBox["\[Theta]", "5"], "=", 
       FractionBox[
        RowBox[{
         RowBox[{"\[Gamma]avg", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "*", "5"}], 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"\[Gamma]avg", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "*", "5"}]}]]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"ReTheta1", "=", 
       RowBox[{
        RowBox[{"(", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"\[Lambda]", "*", "z"}], "2"]], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "2"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "3"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "4"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "5"]}], ")"}], 
           SuperscriptBox["z", 
            RowBox[{"u", "-", "L"}]], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", "z"}], ")"}]}]], ")"}], "/.", 
        RowBox[{"z", "\[Rule]", 
         SubscriptBox["\[Theta]", "1"]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ReTheta2", "=", 
       RowBox[{
        RowBox[{"(", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"\[Lambda]", "*", "z"}], "2"]], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "1"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "3"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "4"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "5"]}], ")"}], 
           SuperscriptBox["z", 
            RowBox[{"u", "-", "L"}]], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", "z"}], ")"}]}]], ")"}], "/.", 
        RowBox[{"z", "\[Rule]", 
         SubscriptBox["\[Theta]", "2"]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ReTheta3", "=", 
       RowBox[{
        RowBox[{"(", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"\[Lambda]", "*", "z"}], "2"]], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "1"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "2"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "4"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "5"]}], ")"}], 
           SuperscriptBox["z", 
            RowBox[{"u", "-", "L"}]], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", "z"}], ")"}]}]], ")"}], "/.", 
        RowBox[{"z", "\[Rule]", 
         SubscriptBox["\[Theta]", "3"]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ReTheta4", "=", 
       RowBox[{
        RowBox[{"(", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"\[Lambda]", "*", "z"}], "2"]], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "1"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "2"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "3"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "5"]}], ")"}], 
           SuperscriptBox["z", 
            RowBox[{"u", "-", "L"}]], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", "z"}], ")"}]}]], ")"}], "/.", 
        RowBox[{"z", "\[Rule]", 
         SubscriptBox["\[Theta]", "4"]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ReTheta5", "=", 
       RowBox[{
        RowBox[{"(", 
         FractionBox[
          SuperscriptBox["\[ExponentialE]", 
           FractionBox[
            RowBox[{"\[Lambda]", "*", "z"}], "2"]], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "1"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "2"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "3"]}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"z", "-", 
             SubscriptBox["\[Theta]", "4"]}], ")"}], 
           SuperscriptBox["z", 
            RowBox[{"u", "-", "L"}]], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", "z"}], ")"}]}]], ")"}], "/.", 
        RowBox[{"z", "\[Rule]", 
         SubscriptBox["\[Theta]", "5"]}]}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"ReZero", "=", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"u", ">", "L"}], ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FractionBox["1", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"u", "-", "2"}], ")"}], "!"}]], 
             RowBox[{"D", "[", 
              RowBox[{
               FractionBox[
                SuperscriptBox["\[ExponentialE]", 
                 FractionBox[
                  RowBox[{"\[Lambda]", "*", "z"}], "2"]], 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"z", "-", 
                   SubscriptBox["\[Theta]", "1"]}], ")"}], "*", 
                 RowBox[{"(", 
                  RowBox[{"z", "-", 
                   SubscriptBox["\[Theta]", "2"]}], ")"}], "*", 
                 RowBox[{"(", 
                  RowBox[{"z", "-", 
                   SubscriptBox["\[Theta]", "3"]}], ")"}], "*", 
                 RowBox[{"(", 
                  RowBox[{"z", "-", 
                   SubscriptBox["\[Theta]", "4"]}], ")"}], "*", 
                 RowBox[{"(", 
                  RowBox[{"z", "-", 
                   SubscriptBox["\[Theta]", "5"]}], ")"}], "*", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "z"}], ")"}]}]], ",", 
               RowBox[{"{", 
                RowBox[{"z", ",", 
                 RowBox[{"u", "-", "2"}]}], "}"}]}], "]"}]}], ")"}], "/.", 
           RowBox[{"z", "\[Rule]", "0"}]}], ")"}], ",", "0"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Pd", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "=", 
       RowBox[{
        FractionBox[
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"-", 
           FractionBox["\[Lambda]", "2"]}]], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[Gamma]avg", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"2", "*", 
             RowBox[{"\[Gamma]avg", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"3", "*", 
             RowBox[{"\[Gamma]avg", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", "*", 
             RowBox[{"\[Gamma]avg", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"5", "*", 
             RowBox[{"\[Gamma]avg", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}]}], ")"}]}]], "*", 
        RowBox[{"(", 
         RowBox[{
         "ReTheta1", "+", "ReTheta2", "+", "ReTheta3", "+", "ReTheta4", "+", 
          "ReTheta5", "+", "ReZero"}], ")"}]}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "Pd", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5865384999653997`*^9, 3.5865385872634*^9}, {
   3.5865386887334003`*^9, 3.5865387218594*^9}, {3.5865394376210003`*^9, 
   3.5865394422320004`*^9}, {3.586541031185*^9, 3.586541045039*^9}, {
   3.58654111088*^9, 3.586541133624*^9}, {3.586541174664*^9, 
   3.586541182297*^9}, {3.5865423210150003`*^9, 3.586542403407*^9}, {
   3.5865424471689997`*^9, 3.586542560099*^9}, {3.586542636983*^9, 
   3.586542639843*^9}, {3.586542672638*^9, 3.586542702745*^9}, 
   3.586542836388*^9, 3.586543111951*^9, 3.5865432963050003`*^9, {
   3.586543648583*^9, 3.5865436544449997`*^9}, {3.586543687781*^9, 
   3.586543687867*^9}, {3.586543754124*^9, 3.586543797185*^9}, {
   3.5865447188269997`*^9, 3.586544719141*^9}, 3.5866160078323703`*^9, {
   3.5866161486483707`*^9, 3.5866161827753706`*^9}, {3.5866162821193705`*^9, 
   3.58661634461837*^9}, {3.58661640142737*^9, 3.5866164151273704`*^9}, {
   3.5866164560693703`*^9, 3.5866164761003704`*^9}, {3.58661983917*^9, 
   3.586619907435*^9}, {3.586619976447*^9, 3.586620172376*^9}, {
   3.586620661672*^9, 3.5866206667980003`*^9}, {3.586620765743*^9, 
   3.586620780225*^9}, {3.586620966289*^9, 3.586621123664*^9}, {
   3.586621165336*^9, 3.586621261617*^9}, {3.586621305657*^9, 
   3.5866214612279997`*^9}, {3.586621543271*^9, 3.586621595283*^9}, {
   3.586624777197*^9, 3.5866248070360003`*^9}, {3.5866248387390003`*^9, 
   3.586624861689*^9}, {3.586624892974*^9, 3.586625154295*^9}, {
   3.5866251980559998`*^9, 3.586625300701*^9}, {3.5928856837460203`*^9, 
   3.592885724931319*^9}, {3.593840705127999*^9, 3.5938407571328707`*^9}, {
   3.5938417847969913`*^9, 3.5938418344581766`*^9}, {3.5938426658472557`*^9, 
   3.593842711468584*^9}, 3.593842977427024*^9, {3.5938430465940332`*^9, 
   3.5938430548198795`*^9}, {3.5938431505757236`*^9, 
   3.5938431710882435`*^9}, {3.5938432135763645`*^9, 
   3.5938434819625406`*^9}, {3.5938806325362687`*^9, 3.5938806708053846`*^9}, 
   3.5938807307218533`*^9, {3.593880794524072*^9, 3.5938808081727333`*^9}, {
   3.5938808646647596`*^9, 3.5938809469750624`*^9}, {3.5938809778069167`*^9, 
   3.593880982331142*^9}, {3.5938811680927353`*^9, 3.593881259725661*^9}, {
   3.593881361127509*^9, 3.593881388757106*^9}, {3.5938814487395935`*^9, 
   3.5938814742856913`*^9}, {3.5938815124287214`*^9, 
   3.5938815137686667`*^9}, {3.5938815514233494`*^9, 
   3.5938815734829817`*^9}, {3.593881608887066*^9, 3.593881609696638*^9}, {
   3.593885383119811*^9, 3.593885386677332*^9}, {3.5938854194695654`*^9, 
   3.593885425630924*^9}, {3.5938856069143715`*^9, 3.5938856073867097`*^9}, {
   3.5938857976845427`*^9, 3.5938858281181064`*^9}, {3.593885876215203*^9, 
   3.593885886240288*^9}, {3.593886873415767*^9, 3.5938869897261577`*^9}, {
   3.5938870594946003`*^9, 3.5938872096970205`*^9}, {3.59388728768328*^9, 
   3.593887450849887*^9}, {3.5938876026144204`*^9, 3.593887647845488*^9}, {
   3.593887686838125*^9, 3.5938878138010845`*^9}, {3.5938878819173174`*^9, 
   3.5938878826528482`*^9}, {3.5938879708343267`*^9, 3.593888274983824*^9}, {
   3.5938883382696857`*^9, 3.5938884446110315`*^9}, {3.5938885351121464`*^9, 
   3.593888597279185*^9}, {3.5938887910584936`*^9, 3.5938888355240035`*^9}, 
   3.5938888718687663`*^9, 3.593889343529088*^9, {3.5938896952182765`*^9, 
   3.593889751558196*^9}, {3.593889791362399*^9, 3.59388984821468*^9}, {
   3.5938913815581627`*^9, 3.5938913816962337`*^9}, 3.6398813141645584`*^9, {
   3.6398819731896753`*^9, 3.639882003577158*^9}}]
},
WindowSize->{1350, 631},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 25478, 672, 1870, "Input"]
}
]
*)

(* End of internal cache information *)
