(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23793,        651]
NotebookOptionsPosition[     23513,        637]
NotebookOutlinePosition[     23891,        653]
CellTagsIndexPosition[     23848,        650]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Title", ":", " ", 
    RowBox[{
    "3", " ", "Taylor", " ", "series", " ", "based", " ", "uniform", " ", 
     "approximation", " ", "for", " ", "AuC", " ", "of", " ", "ED"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"SC", " ", "in", " ", 
    RowBox[{"i", ".", "i", ".", "d", ".", " ", "Rayleigh"}], " ", "fading"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Aexact", " ", "from", " ", "Atapattu"}], ",", " ", "2010"}], 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{
    "\[Gamma]", ",", "x", ",", "\[Lambda]", ",", "k", ",", "u", ",", 
     "\[Lambda]", ",", "Aexact", ",", "Pf", ",", "Awang", ",", "Adt", ",", 
     "Abt", ",", "Pfreqd", ",", "\[Gamma]avg", ",", "SNRdB", ",", "a", ",", 
     "a1", ",", "a2", ",", "\[Alpha]", ",", "L", ",", "\[Theta]1", ",", 
     "\[Theta]2"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Parameter", " ", "values"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"u", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SNRdB", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "20", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"\[Gamma]avg", "=", 
      RowBox[{"N", "[", 
       SuperscriptBox["10", 
        FractionBox["SNRdB", "10"]], "]"}]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"Pfreqd", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "13.276704135987625"}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"For", " ", "Pf"}], "=", "0.01"}], ",", " ", 
     RowBox[{"L", "=", "5"}], ",", " ", 
     RowBox[{"u", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "13.276704135987623"}], ";"}], 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
      RowBox[{"L", " ", "=", " ", "2"}], ",", " ", 
      RowBox[{"u", " ", "=", " ", 
       RowBox[{"2", " ", "=", 
        RowBox[{">", " ", 
         RowBox[{"independent", " ", 
          RowBox[{"of", " ", "'"}], 
          RowBox[{"L", "'"}]}]}]}]}]}], "*)"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "23.20925115895436"}], ";"}], 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], " ", "=", " ", 
       RowBox[{
        RowBox[{"0.01", " ", "with", " ", "L"}], " ", "=", " ", "2"}]}], ",", 
      " ", 
      RowBox[{"u", " ", "=", " ", "5"}]}], "*)"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Pf", "=", 
    FractionBox[
     RowBox[{"Gamma", "[", 
      RowBox[{"u", ",", 
       RowBox[{"\[Lambda]", "/", "2"}]}], "]"}], 
     RowBox[{"Gamma", "[", "u", "]"}]]}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Pfreqd", "-", 
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", ",", 
           RowBox[{"\[Lambda]", "/", "2"}]}], "]"}], 
         RowBox[{"Gamma", "[", "u", "]"}]]}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ",", "7"}], "}"}]}], "]"}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Analytical", " ", "expressions", " ", "for", " ", "average", " ", 
     "AuC"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "EXACT", "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"Aexact", "=", 
    RowBox[{"1", "-", 
     RowBox[{"L", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", "0"}], 
        RowBox[{"u", "-", "1"}]], 
       RowBox[{
        FractionBox[
         SuperscriptBox["\[Gamma]avg", "k"], 
         RowBox[{
          SuperscriptBox["2", "k"], "*", 
          RowBox[{"k", "!"}]}]], "*", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", "k"], "*", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                FractionBox["\[Gamma]avg", "2"]}], ")"}]}], "*", "x"}]], "*", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"-", "x"}]]}], ")"}], 
            RowBox[{"L", "-", "1"}]]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}]}], 
     "+", 
     RowBox[{"L", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", 
         RowBox[{"1", "-", "u"}]}], 
        RowBox[{"u", "-", "1"}]], 
       RowBox[{
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", "+", "k"}], "]"}], 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"u", "+", "k"}]], "*", 
          RowBox[{"Gamma", "[", "u", "]"}]}]], "*", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"1", "+", "\[Gamma]avg"}], ")"}]}], "*", "x"}]], "*", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"-", "x"}]]}], ")"}], 
            RowBox[{"L", "-", "1"}]], "*", 
           RowBox[{"Hypergeometric1F1Regularized", "[", 
            RowBox[{
             RowBox[{"u", "+", "k"}], ",", 
             RowBox[{"1", "+", "k"}], ",", 
             FractionBox[
              RowBox[{"\[Gamma]avg", "*", "x"}], "2"]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Approximate", " ", "approach", " ", "starts"}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"t", "=", 
     RowBox[{"L", "-", "1"}]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{
     RowBox[{
      StyleBox["\[Phi]",
       FontFamily->"Courier New"], "[", "l_", "]"}], ":=", 
     RowBox[{"L", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", "0"}], 
        RowBox[{"L", "-", "1"}]], 
       RowBox[{
        RowBox[{"Binomial", "[", 
         RowBox[{
          RowBox[{"L", "-", "1"}], ",", "k"}], "]"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"k", "+", "l"}]], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"k", "+", "1"}], ")"}], "l"]}]}]}]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a", "=", 
      FractionBox[
       RowBox[{"\[Phi]", "[", 
        RowBox[{"L", "-", "1"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L", "-", "1"}], ")"}], "!"}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a1", "=", 
      FractionBox[
       RowBox[{"\[Phi]", "[", "L", "]"}], 
       RowBox[{"L", "!"}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a2", "=", 
      FractionBox[
       RowBox[{"\[Phi]", "[", 
        RowBox[{"L", "+", "1"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L", "+", "1"}], ")"}], "!"}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"\[Alpha]", "=", 
      RowBox[{"-", 
       FractionBox["a1", "a"]}]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"WANG", "/", "Giannakis"}], " ", "APPROACH"}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"Awang", "=", 
    RowBox[{"1", "-", 
     RowBox[{"a", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", "0"}], 
        RowBox[{"u", "-", "1"}]], 
       RowBox[{
        FractionBox[
         SuperscriptBox["\[Gamma]avg", "k"], 
         RowBox[{
          SuperscriptBox["2", "k"], "*", 
          RowBox[{"k", "!"}]}]], "*", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", 
            RowBox[{"k", "+", "t"}]], "*", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               FractionBox["\[Gamma]avg", "2"], ")"}]}], "*", "x"}]]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}]}], 
     "+", 
     RowBox[{"a", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", 
         RowBox[{"1", "-", "u"}]}], 
        RowBox[{"u", "-", "1"}]], 
       RowBox[{
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", "+", "k"}], "]"}], 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"u", "+", "k"}]], "*", 
          RowBox[{"Gamma", "[", "u", "]"}]}]], "*", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", "t"], "*", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", "\[Gamma]avg", ")"}]}], "*", "x"}]], "*", 
           RowBox[{"Hypergeometric1F1Regularized", "[", 
            RowBox[{
             RowBox[{"u", "+", "k"}], ",", 
             RowBox[{"1", "+", "k"}], ",", 
             FractionBox[
              RowBox[{"\[Gamma]avg", "*", "x"}], "2"]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}]}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"BT", ":", " ", 
     RowBox[{"3", "-", 
      RowBox[{"coefficients", " ", "based", " ", "expansion"}]}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Clear", "[", 
    RowBox[{"a0", ",", "a1", ",", "a2"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     FractionBox[
      RowBox[{"\[Phi]", "[", 
       RowBox[{"L", "-", "1"}], "]"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L", "-", "1"}], ")"}], "!"}]]}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"a1", "=", 
      FractionBox[
       RowBox[{"\[Phi]", "[", "L", "]"}], 
       RowBox[{"L", "!"}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a2", "=", 
      FractionBox[
       RowBox[{"\[Phi]", "[", 
        RowBox[{"L", "+", "1"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L", "+", "1"}], ")"}], "!"}]]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{"a0", "/", "2"}]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"b1", "=", 
     RowBox[{
      RowBox[{"-", "2"}], "*", 
      RowBox[{"a1", "/", "a0"}]}]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"b2", "=", 
      RowBox[{"4", "*", 
       RowBox[{"a2", "/", "a0"}]}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{"(*", "EITHER", "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{"\[Theta]1", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]2", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "OR", "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], 
    RowBox[{"\[Theta]1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{
         FractionBox["1", "2"], "*", 
         RowBox[{"(", 
          RowBox[{"b1", "-", 
           SqrtBox[
            RowBox[{
             RowBox[{"2", "*", "b2"}], "-", 
             SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}], 
       "\[IndentingNewLine]", "\[Theta]2"}], "=", 
      RowBox[{"N", "[", 
       RowBox[{
        FractionBox["1", "2"], "*", 
        RowBox[{"(", 
         RowBox[{"b1", "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", "*", "b2"}], "-", 
            SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Abt", "=", 
    RowBox[{"1", "-", 
     RowBox[{"a", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", "0"}], 
        RowBox[{"u", "-", "1"}]], 
       RowBox[{
        FractionBox[
         SuperscriptBox["\[Gamma]avg", "k"], 
         RowBox[{
          SuperscriptBox["2", "k"], "*", 
          RowBox[{"k", "!"}]}]], "*", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", 
            RowBox[{"k", "+", "t"}]], "*", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["\[Gamma]avg", "2"], "+", "\[Theta]1"}], ")"}]}], 
             "*", "x"}]]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}]}], 
     "+", 
     RowBox[{"a", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", 
         RowBox[{"1", "-", "u"}]}], 
        RowBox[{"u", "-", "1"}]], 
       RowBox[{
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", "+", "k"}], "]"}], 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"u", "+", "k"}]], "*", 
          RowBox[{"Gamma", "[", "u", "]"}]}]], "*", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", "t"], "*", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]avg", "+", "\[Theta]1"}], ")"}]}], "*", 
             "x"}]], "*", 
           RowBox[{"Hypergeometric1F1Regularized", "[", 
            RowBox[{
             RowBox[{"u", "+", "k"}], ",", 
             RowBox[{"1", "+", "k"}], ",", 
             FractionBox[
              RowBox[{"\[Gamma]avg", "*", "x"}], "2"]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}]}], 
     "-", 
     RowBox[{"a", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", "0"}], 
        RowBox[{"u", "-", "1"}]], 
       RowBox[{
        FractionBox[
         SuperscriptBox["\[Gamma]avg", "k"], 
         RowBox[{
          SuperscriptBox["2", "k"], "*", 
          RowBox[{"k", "!"}]}]], "*", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", 
            RowBox[{"k", "+", "t"}]], "*", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["\[Gamma]avg", "2"], "+", "\[Theta]2"}], ")"}]}], 
             "*", "x"}]]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}]}], 
     "+", 
     RowBox[{"a", "*", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"k", "=", 
         RowBox[{"1", "-", "u"}]}], 
        RowBox[{"u", "-", "1"}]], 
       RowBox[{
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", "+", "k"}], "]"}], 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"u", "+", "k"}]], "*", 
          RowBox[{"Gamma", "[", "u", "]"}]}]], "*", 
        RowBox[{"NIntegrate", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", "t"], "*", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]avg", "+", "\[Theta]2"}], ")"}]}], "*", 
             "x"}]], "*", 
           RowBox[{"Hypergeometric1F1Regularized", "[", 
            RowBox[{
             RowBox[{"u", "+", "k"}], ",", 
             RowBox[{"1", "+", "k"}], ",", 
             FractionBox[
              RowBox[{"\[Gamma]avg", "*", "x"}], "2"]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], 
         "]"}]}]}]}]}]}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.585694819182*^9, 3.5856948471289997`*^9}, {
   3.585694890347*^9, 3.585695079784*^9}, {3.585710090197*^9, 
   3.585710203356*^9}, {3.5857103914449997`*^9, 3.585710561381*^9}, 
   3.58571073646*^9, 3.5857107794119997`*^9, {3.585710819098*^9, 
   3.585710863019*^9}, {3.585710919399*^9, 3.585710969382*^9}, 
   3.585711097627*^9, {3.585711601815*^9, 3.5857116135439997`*^9}, {
   3.585711699516*^9, 3.5857117403190002`*^9}, {3.58571178296*^9, 
   3.585711835085*^9}, {3.58575325717*^9, 3.585753268896*^9}, {
   3.585753305836*^9, 3.585753546843*^9}, {3.585753646738*^9, 
   3.585753680899*^9}, 3.585753766401*^9, {3.585753925495*^9, 
   3.585753959487*^9}, {3.5857542032209997`*^9, 3.5857542586099997`*^9}, {
   3.585755934866*^9, 3.5857559728640003`*^9}, {3.58575601742*^9, 
   3.5857562635299997`*^9}, {3.585756354859*^9, 3.585756431807*^9}, {
   3.585756524645*^9, 3.585756563283*^9}, {3.585756629468*^9, 
   3.585756646243*^9}, {3.5857568332*^9, 3.585756838782*^9}, {
   3.585756915762*^9, 3.5857569635220003`*^9}, {3.585757281665*^9, 
   3.585757321363*^9}, {3.585758708007*^9, 3.585758720513*^9}, {
   3.585758889274*^9, 3.585759254516*^9}, {3.585759378908*^9, 
   3.585759510369*^9}, {3.585759558012*^9, 3.58575955813*^9}, 
   3.585776893174*^9, {3.585777012491*^9, 3.585777030797*^9}, {
   3.58577744281*^9, 3.585777442933*^9}, {3.5857789758020906`*^9, 
   3.585779183683981*^9}, {3.5857792306946697`*^9, 3.585779251165841*^9}, {
   3.5857793862035646`*^9, 3.5857793892447386`*^9}, {3.5857794598077745`*^9, 
   3.585779459940782*^9}, {3.585779659307185*^9, 3.5857797289681697`*^9}, {
   3.585779766126295*^9, 3.5857798313720264`*^9}, {3.585779868938175*^9, 
   3.58577992374131*^9}, {3.585780162414961*^9, 3.58578016938936*^9}, {
   3.5857802019272213`*^9, 3.585780254274215*^9}, 3.5857802865880637`*^9, {
   3.5857805327561436`*^9, 3.585780604255233*^9}, {3.5857808031219997`*^9, 
   3.585780812351*^9}, {3.585780854867*^9, 3.5857809013859997`*^9}, {
   3.5938923144836426`*^9, 3.593892315916679*^9}, {3.593892536236763*^9, 
   3.5938925437721014`*^9}, {3.593892663256778*^9, 3.5938927701645126`*^9}, {
   3.5939159204853945`*^9, 3.5939159866722903`*^9}, {3.5939160263774247`*^9, 
   3.593916074614594*^9}, {3.5939165032513084`*^9, 3.5939166014018483`*^9}, {
   3.595219045211732*^9, 3.5952190920299516`*^9}, {3.595219141643169*^9, 
   3.595219239558606*^9}, {3.5952192764137545`*^9, 3.5952192793828545`*^9}, 
   3.5952197531419396`*^9, {3.5952198168661537`*^9, 3.595219861433761*^9}, {
   3.5952208521245594`*^9, 3.5952209488721914`*^9}, {3.595221025315445*^9, 
   3.595221079434842*^9}, 3.595271745737356*^9, {3.5952734996475835`*^9, 
   3.5952735214810796`*^9}, {3.595273727732399*^9, 3.5952737567469716`*^9}, {
   3.5952737888928022`*^9, 3.595273795046149*^9}, {3.5952738341708937`*^9, 
   3.595273951583187*^9}, {3.5952740178672085`*^9, 3.5952740523917046`*^9}, {
   3.5952740916755733`*^9, 3.5952741165932446`*^9}, {3.5952741804905753`*^9, 
   3.595274362875958*^9}, {3.595274403055461*^9, 3.5952744662733154`*^9}, {
   3.595274629838341*^9, 3.5952746331306863`*^9}, {3.5952747037767954`*^9, 
   3.5952747236528983`*^9}, {3.5952749238629246`*^9, 3.595274997701305*^9}, {
   3.595275073871339*^9, 3.5952750909954867`*^9}, {3.595275309519527*^9, 
   3.5952753884755383`*^9}, {3.5952755949590006`*^9, 3.595275617763178*^9}, {
   3.5952756636337194`*^9, 3.5952757515350847`*^9}, {3.5952757933997765`*^9, 
   3.5952757969012766`*^9}, {3.5952759454116135`*^9, 
   3.5952759555317907`*^9}, {3.5958218326346517`*^9, 
   3.5958218549454975`*^9}, {3.5958254858272505`*^9, 3.595825514903859*^9}, {
   3.5958255853338313`*^9, 3.595825586432604*^9}, {3.595826067588934*^9, 
   3.595826131729439*^9}, {3.595899278373623*^9, 3.595899386305189*^9}, {
   3.5958994335467095`*^9, 3.5958996068676567`*^9}, {3.595899645804278*^9, 
   3.5958997251425905`*^9}, {3.595899767567687*^9, 3.595899908993005*^9}, {
   3.5958999698701715`*^9, 3.5959000118950033`*^9}, {3.595900052965122*^9, 
   3.5959000706226463`*^9}, {3.595900197286502*^9, 3.5959001988025837`*^9}, {
   3.595900598001768*^9, 3.5959006223080325`*^9}, {3.5959006598376355`*^9, 
   3.5959006691852736`*^9}, {3.59590072918684*^9, 3.5959009504948387`*^9}, {
   3.595901131943548*^9, 3.5959012010165777`*^9}, {3.595901311797157*^9, 
   3.595901328410923*^9}, {3.595901365062933*^9, 3.5959015418573513`*^9}, {
   3.5959017989967756`*^9, 3.5959018083904257`*^9}, {3.5959019704133673`*^9, 
   3.5959019793336935`*^9}, {3.595902033344034*^9, 3.595902038098377*^9}, {
   3.595902581098585*^9, 3.595902587601203*^9}, 3.6398812992260127`*^9, {
   3.63988159211316*^9, 3.639881623691506*^9}}]
},
WindowSize->{1350, 631},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.100000023841858,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 22952, 615, 1753, "Input"]
}
]
*)

(* End of internal cache information *)
