(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     31811,        875]
NotebookOptionsPosition[     31464,        860]
NotebookOutlinePosition[     31909,        877]
CellTagsIndexPosition[     31866,        874]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Program", " ", "to", " ", "test", " ", "the", " ", "UA", " ", "for", " ", 
    "ED", " ", "in", " ", "Hoyt", " ", "fading", " ", "channel"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{
    "\[Gamma]", ",", "\[Lambda]", ",", "k", ",", "u", ",", "\[Lambda]", ",", 
     "Pf", ",", "Pdw", ",", "Pdexact", ",", "Pfreqd", ",", "\[Gamma]avg", ",",
      "SNRdB", ",", "Nptr", ",", "Nwtr", ",", "Ntr", ",", "a0", ",", "a1", 
     ",", "a2", ",", "b1", ",", "b2", ",", "t", ",", "q", ",", "a"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Taylor", " ", "series", " ", "expansion", " ", "of", " ", "Hoyt"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "0", " ", "\[LessEqual]", " ", "q", " ", "\[LessEqual]", " ", "1"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], 
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", 
               SuperscriptBox["q", "2"]}], ")"}], "2"], 
            RowBox[{"4", "*", 
             SuperscriptBox["q", "2"]}]]}], "*", "x"}]], "*", 
        RowBox[{"BesselI", "[", 
         RowBox[{"0", ",", 
          RowBox[{
           FractionBox[
            RowBox[{"(", 
             RowBox[{"1", "-", 
              SuperscriptBox["q", "4"]}], ")"}], 
            RowBox[{"4", "*", 
             SuperscriptBox["q", "2"]}]], "*", "x"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "3"}], "}"}]}], "]"}], ";"}], 
    RowBox[{"(*", 
     RowBox[{"Needs", " ", "scaling", " ", "by", " ", 
      FractionBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["q", "2"]}], ")"}], 
       RowBox[{"2", "*", "q"}]]}], "*)"}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"(*", 
    RowBox[{"Parameter", " ", "values"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"q", "=", "0.7"}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"Hoyt", " ", "parameter"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"u", "=", "7"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SNRdB", "=", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "20", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"\[Gamma]avg", "=", 
      RowBox[{"N", "[", 
       SuperscriptBox["10", 
        FractionBox["SNRdB", "10"]], "]"}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pfreqd", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "13.276704135987625"}], ";"}], " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], "=", "0.01"}], ",", " ", 
      RowBox[{"u", "=", "2"}]}], "*)"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "9.210340371976182"}], ";"}], " ", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], "=", "0.01"}], ",", " ", 
      RowBox[{"u", "=", "1"}]}], "*)"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Lambda]", "=", "23.20925115895436"}], ";"}], 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
      RowBox[{"u", " ", "=", " ", "5"}]}], "*)"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "29.141237740672796"}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"For", " ", "Pf"}], " ", "=", " ", "0.01"}], ",", " ", 
     RowBox[{"u", " ", "=", " ", "7"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Pf", "=", 
    FractionBox[
     RowBox[{"Gamma", "[", 
      RowBox[{"u", ",", 
       RowBox[{"\[Lambda]", "/", "2.0"}]}], "]"}], 
     RowBox[{"Gamma", "[", "u", "]"}]]}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"(*", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Pfreqd", "-", 
        FractionBox[
         RowBox[{"Gamma", "[", 
          RowBox[{"u", ",", 
           RowBox[{"\[Lambda]", "/", "2"}]}], "]"}], 
         RowBox[{"Gamma", "[", "u", "]"}]]}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ",", "10"}], "}"}]}], "]"}], "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", "Exact", " ", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ntr", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     StyleBox["Pdexact",
      FontFamily->"Courier New"], 
     StyleBox["=",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["1",
       FontFamily->"Courier New"], 
      StyleBox["-",
       FontFamily->"Courier New"], 
      RowBox[{
       FractionBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox["q", "2"]}], ")"}], 
        RowBox[{"2", "*", "q"}]], "*", 
       StyleBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox["\[Lambda]", "2"]}]],
        FontFamily->"Courier New"], 
       RowBox[{
        StyleBox["Sum",
         FontFamily->"Courier New"], 
        StyleBox["[",
         FontFamily->"Courier New"], 
        RowBox[{
         RowBox[{
          StyleBox[
           SuperscriptBox[
            RowBox[{"(", 
             FractionBox["\[Lambda]", 
              RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
            RowBox[{"k", "/", "2"}]],
           FontFamily->"Courier New"], 
          StyleBox["*",
           FontFamily->"Courier New"], 
          RowBox[{
           StyleBox["NIntegrate",
            FontFamily->"Courier New"], 
           StyleBox["[",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"\[Gamma]avg", "+", 
                  FractionBox[
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    SuperscriptBox["q", "2"]}], ")"}], "2"], 
                   RowBox[{"4", "*", 
                    SuperscriptBox["q", "2"]}]]}], ")"}]}], "*", "\[Beta]"}]],
              "*", 
             RowBox[{"BesselI", "[", 
              RowBox[{"k", ",", 
               SqrtBox[
                RowBox[{
                "2", "*", "\[Gamma]avg", "*", "\[Beta]", "*", 
                 "\[Lambda]"}]]}], "]"}], "*", 
             RowBox[{"BesselI", "[", 
              RowBox[{"0", ",", 
               RowBox[{
                FractionBox[
                 RowBox[{"(", 
                  RowBox[{"1", "-", 
                   SuperscriptBox["q", "4"]}], ")"}], 
                 RowBox[{"4", "*", 
                  SuperscriptBox["q", "2"]}]], "*", "\[Beta]"}]}], "]"}]}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"\[Beta]", ",", "0", ",", "\[Infinity]"}], "}"}]}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "u", ",", "Ntr"}], "}"}]}], "]"}]}]}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Alternative", " ", "Pdexact"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Pdexact", "=", 
    RowBox[{
     FractionBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["q", "2"]}], ")"}], 
      RowBox[{"2", "*", "q", "*", "\[Gamma]avg"}]], "*", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"MarcumQ", "[", 
         RowBox[{"u", ",", 
          SqrtBox[
           RowBox[{"2", "*", "x"}]], ",", 
          SqrtBox["\[Lambda]"]}], "]"}], "*", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", 
               SuperscriptBox["q", "2"]}], ")"}], "2"], 
            RowBox[{"4", "*", 
             SuperscriptBox["q", "2"], "*", "\[Gamma]avg"}]]}], "*", "x"}]], 
        "*", 
        RowBox[{"BesselI", "[", 
         RowBox[{"0", ",", 
          RowBox[{
           FractionBox[
            RowBox[{"(", 
             RowBox[{"1", "-", 
              SuperscriptBox["q", "4"]}], ")"}], 
            RowBox[{"4", "*", 
             SuperscriptBox["q", "2"], "*", "\[Gamma]avg"}]], "*", "x"}]}], 
         "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", 
      RowBox[{"Exact", " ", "end"}], " ", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", "Wang", " ", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"t", "=", "0"}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"a0", "=", 
      FractionBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["q", "2"]}], ")"}], 
       RowBox[{"2", "*", "q"}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{
     StyleBox["Pdw",
      FontFamily->"Courier New"], 
     StyleBox["=",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["1",
       FontFamily->"Courier New"], 
      StyleBox["+",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["a0",
        FontFamily->"Courier New"], 
       StyleBox["*",
        FontFamily->"Courier New"], 
       StyleBox[
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox["\[Lambda]", "2"]}]],
        FontFamily->"Courier New"], 
       StyleBox["*",
        FontFamily->"Courier New"], 
       RowBox[{
        StyleBox[
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"k", "=", 
           RowBox[{
            RowBox[{"-", "u"}], "+", "1"}]}], 
          RowBox[{"u", "-", "1"}]],
         FontFamily->"Courier New"], 
        RowBox[{
         StyleBox[
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox["\[Lambda]", 
             RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
           FractionBox["k", "2"]],
          FontFamily->"Courier New"], 
         StyleBox["*",
          FontFamily->"Courier New"], 
         RowBox[{
          StyleBox["NIntegrate",
           FontFamily->"Courier New"], 
          StyleBox["[",
           FontFamily->"Courier New"], 
          RowBox[{
           StyleBox[
            RowBox[{
             SuperscriptBox["x", 
              RowBox[{"t", "-", 
               FractionBox["k", "2"]}]], "*", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "\[Gamma]avg"}], "*", "x"}]], "*", 
             RowBox[{"BesselI", "[", 
              RowBox[{"k", ",", 
               SqrtBox[
                RowBox[{
                "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
              "]"}]}],
            FontFamily->"Courier New"], 
           StyleBox[",",
            FontFamily->"Courier New"], 
           RowBox[{
            StyleBox["{",
             FontFamily->"Courier New"], 
            RowBox[{
             StyleBox["x",
              FontFamily->"Courier New"], 
             StyleBox[",",
              FontFamily->"Courier New"], 
             StyleBox["0",
              FontFamily->"Courier New"], 
             StyleBox[",",
              FontFamily->"Courier New"], "\[Infinity]"}], "}"}]}], 
          StyleBox["]",
           FontFamily->"Courier New"]}]}]}]}], 
      StyleBox["-",
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["a0",
        FontFamily->"Courier New"], 
       StyleBox["*",
        FontFamily->"Courier New"], 
       FractionBox[
        RowBox[{"Gamma", "[", 
         RowBox[{"u", "+", "t", "+", "1"}], "]"}], 
        RowBox[{
         SuperscriptBox["\[Gamma]avg", 
          RowBox[{"t", "+", "1"}]], "*", 
         RowBox[{"Gamma", "[", "u", "]"}]}]], "*", 
       RowBox[{"Hypergeometric1F1", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"t", "+", "1"}], ")"}]}], ",", "u", ",", 
         RowBox[{"-", 
          FractionBox["\[Lambda]", "2"]}]}], "]"}]}]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"My", " ", "derivation", " ", "in", " ", "closed"}], "-", 
      "form"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Nwtr", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdw",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{
     StyleBox["1",
      FontFamily->"Courier New"], 
     StyleBox["-",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["a0",
       FontFamily->"Courier New"], 
      StyleBox["*",
       FontFamily->"Courier New"], 
      StyleBox[
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox["\[Lambda]", "2"]}]],
       FontFamily->"Courier New"], 
      RowBox[{
       StyleBox["Sum",
        FontFamily->"Courier New"], 
       StyleBox["[",
        FontFamily->"Courier New"], 
       RowBox[{
        RowBox[{
         StyleBox[
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox["\[Lambda]", 
             RowBox[{"2", "*", "\[Gamma]avg"}]], ")"}], 
           RowBox[{"k", "/", "2"}]],
          FontFamily->"Courier New"], 
         StyleBox["*",
          FontFamily->"Courier New"], 
         RowBox[{
          StyleBox["NIntegrate",
           FontFamily->"Courier New"], 
          StyleBox["[",
           FontFamily->"Courier New"], 
          RowBox[{
           RowBox[{
            StyleBox[
             SuperscriptBox[
              StyleBox["\[Beta]",
               FontFamily->"Courier New"], 
              RowBox[{"t", "-", 
               RowBox[{"k", "/", "2"}]}]],
             FontFamily->"Courier New"], 
            StyleBox["*",
             FontFamily->"Courier New"], 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "\[Gamma]avg"}], "*", "\[Beta]"}]], "*", 
            RowBox[{"BesselI", "[", 
             RowBox[{"k", ",", 
              SqrtBox[
               RowBox[{
               "2", "*", "\[Gamma]avg", "*", "\[Beta]", "*", "\[Lambda]"}]]}],
              "]"}]}], 
           StyleBox[",",
            FontFamily->"Courier New"], 
           RowBox[{
            StyleBox["{",
             FontFamily->"Courier New"], 
            RowBox[{
             StyleBox["\[Beta]",
              FontFamily->"Courier New"], 
             StyleBox[",",
              FontFamily->"Courier New"], 
             StyleBox["0",
              FontFamily->"Courier New"], 
             StyleBox[",",
              FontFamily->"Courier New"], "\[Infinity]"}], "}"}]}], 
          StyleBox["]",
           FontFamily->"Courier New"]}]}], 
        StyleBox[",",
         FontFamily->"Courier New"], 
        StyleBox[
         RowBox[{"{", 
          RowBox[{"k", ",", "u", ",", "Nwtr"}], "}"}],
         FontFamily->"Courier New"]}], 
       StyleBox["]",
        FontFamily->"Courier New"]}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", " ", 
      RowBox[{"Wang", " ", "end"}], " ", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "==="}], "="}], "*)"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    StyleBox["(*",
     FontFamily->"Courier New"], 
    RowBox[{
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     StyleBox["===",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["\[Equal]",
       FontFamily->"Courier New"], 
      RowBox[{"BT", 
       StyleBox[":",
        FontFamily->"Courier New"], 
       StyleBox[" ",
        FontFamily->"Courier New"], 
       StyleBox[
        RowBox[{
         RowBox[{"3", "-", 
          RowBox[{"term", " ", 
           RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
           "approximation"}]}], "===", "===", "===", "===", "===", "===", "===",
          "===", "===", "===", "=="}],
        FontFamily->"Courier New"]}]}]}], 
    StyleBox["*)",
     FontFamily->"Courier New"]}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"a0", "=", 
      FractionBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["q", "2"]}], ")"}], 
       RowBox[{"2", "*", "q"}]]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a1", "=", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SuperscriptBox["q", "2"]}], ")"}], 
         RowBox[{"2", "*", "q"}]]}], "*", 
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "2"], "+", 
         FractionBox["1", 
          RowBox[{"4", " ", 
           SuperscriptBox["q", "2"]}]], "+", 
         FractionBox[
          SuperscriptBox["q", "2"], "4"]}], ")"}]}]}], ";"}],
    FontFamily->"Courier New"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   StyleBox[
    RowBox[{
     RowBox[{"a2", "=", 
      RowBox[{
       FractionBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox["q", "2"]}], ")"}], 
        RowBox[{"2", "*", "q"}]], "*", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["q", "2"]}], "+", 
           RowBox[{"10", " ", 
            SuperscriptBox["q", "4"]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["q", "6"]}], "+", 
           RowBox[{"3", " ", 
            SuperscriptBox["q", "8"]}]}], ")"}], " "}], 
        RowBox[{"64", " ", 
         SuperscriptBox["q", "4"]}]]}]}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     FractionBox["a0", "2"]}], ";"}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{
     StyleBox["b1",
      FontFamily->"Courier New"], 
     StyleBox["=",
      FontFamily->"Courier New"], 
     RowBox[{
      StyleBox["-",
       FontFamily->"Courier New"], 
      FractionBox["a1", "a"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b2", "=", 
     RowBox[{"2", "*", 
      FractionBox["a2", "a"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "EITHER", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]1", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Theta]2", "=", 
     RowBox[{"N", "[", 
      RowBox[{
       FractionBox["1", "2"], "*", 
       RowBox[{"(", 
        RowBox[{"b1", "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", "*", "b2"}], "-", 
           SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "OR", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Theta]1", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        FractionBox["1", "2"], "*", 
        RowBox[{"(", 
         RowBox[{"b1", "-", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", "*", "b2"}], "-", 
            SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"\[Theta]2", "=", 
      RowBox[{"N", "[", 
       RowBox[{
        FractionBox["1", "2"], "*", 
        RowBox[{"(", 
         RowBox[{"b1", "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", "*", "b2"}], "-", 
            SuperscriptBox["b1", "2"]}]]}], ")"}]}], "]"}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Nptr", "=", "100"}], ";"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Pdbt",
     FontFamily->"Courier New"], 
    StyleBox["=",
     FontFamily->"Courier New"], 
    RowBox[{"1", "-", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]1", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}], 
       "+", 
       RowBox[{"a", "*", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"-", "\[Lambda]"}], "2"]], "*", 
        RowBox[{"(", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["\[Lambda]", 
               RowBox[{"2", "\[Gamma]avg"}]], ")"}], 
             RowBox[{"k", "/", "2"}]], "*", 
            RowBox[{"NIntegrate", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["x", 
                RowBox[{"t", "-", 
                 RowBox[{"k", "/", "2"}]}]], "*", 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   RowBox[{"\[Theta]2", "+", "\[Gamma]avg"}], ")"}]}], "*", 
                 "x"}]], "*", 
               RowBox[{"BesselI", "[", 
                RowBox[{"k", ",", 
                 SqrtBox[
                  RowBox[{
                  "2", "*", "\[Gamma]avg", "*", "\[Lambda]", "*", "x"}]]}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "u", ",", "Nptr"}], "}"}]}], "]"}], ")"}]}]}], 
      "]"}]}]}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
      RowBox[{"End", " ", 
       RowBox[{"BT", ":", " ", 
        RowBox[{
         RowBox[{"3", "-", 
          RowBox[{"term", " ", 
           RowBox[{"Taylor", "'"}], "s", " ", "series", " ", 
           "approximation"}]}], "===", "===", "===", "===", "===", "===", "===",
          "===", "===", "===", "=="}]}]}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5865384999653997`*^9, 3.5865385872634*^9}, {
   3.5865386887334003`*^9, 3.5865387218594*^9}, {3.5865394376210003`*^9, 
   3.5865394422320004`*^9}, {3.586541031185*^9, 3.586541045039*^9}, {
   3.58654111088*^9, 3.586541133624*^9}, {3.586541174664*^9, 
   3.586541182297*^9}, {3.5865423210150003`*^9, 3.586542403407*^9}, {
   3.5865424471689997`*^9, 3.586542560099*^9}, {3.586542636983*^9, 
   3.586542639843*^9}, {3.586542672638*^9, 3.586542702745*^9}, 
   3.586542836388*^9, 3.586543111951*^9, 3.5865432963050003`*^9, {
   3.586543648583*^9, 3.5865436544449997`*^9}, {3.586543687781*^9, 
   3.586543687867*^9}, {3.586543754124*^9, 3.586543797185*^9}, {
   3.5865447188269997`*^9, 3.586544719141*^9}, 3.5866160078323703`*^9, {
   3.5866161486483707`*^9, 3.5866161827753706`*^9}, {3.5866162821193705`*^9, 
   3.58661634461837*^9}, {3.58661640142737*^9, 3.5866164151273704`*^9}, {
   3.5866164560693703`*^9, 3.5866164761003704`*^9}, {3.58661983917*^9, 
   3.586619907435*^9}, {3.586619976447*^9, 3.586620172376*^9}, {
   3.586620661672*^9, 3.5866206667980003`*^9}, {3.586620765743*^9, 
   3.586620780225*^9}, {3.586620966289*^9, 3.586621123664*^9}, {
   3.586621165336*^9, 3.586621261617*^9}, {3.586621305657*^9, 
   3.5866214612279997`*^9}, {3.586621543271*^9, 3.586621595283*^9}, {
   3.586624777197*^9, 3.5866248070360003`*^9}, {3.5866248387390003`*^9, 
   3.586624861689*^9}, {3.586624892974*^9, 3.586625154295*^9}, {
   3.5866251980559998`*^9, 3.586625300701*^9}, {3.5928856837460203`*^9, 
   3.592885724931319*^9}, {3.593840705127999*^9, 3.5938407571328707`*^9}, {
   3.5938417847969913`*^9, 3.5938418344581766`*^9}, {3.5938426658472557`*^9, 
   3.593842711468584*^9}, 3.593842977427024*^9, {3.5938430465940332`*^9, 
   3.5938430548198795`*^9}, {3.5938431505757236`*^9, 
   3.5938431710882435`*^9}, {3.5938432135763645`*^9, 
   3.5938434819625406`*^9}, {3.5938806325362687`*^9, 3.5938806708053846`*^9}, 
   3.5938807307218533`*^9, {3.593880794524072*^9, 3.5938808081727333`*^9}, {
   3.5938808646647596`*^9, 3.5938808750390935`*^9}, {3.5938903730485516`*^9, 
   3.593890393443*^9}, {3.593890475766331*^9, 3.5938905495956707`*^9}, {
   3.5938905828972397`*^9, 3.5938906911979823`*^9}, {3.593890740774102*^9, 
   3.593890745695589*^9}, {3.5938907939868145`*^9, 3.593890829108719*^9}, {
   3.5938908919231973`*^9, 3.593890899460537*^9}, {3.5938913268733807`*^9, 
   3.593891326987462*^9}, 3.5948508543075523`*^9, 3.5958199382635193`*^9, {
   3.5958200391580935`*^9, 3.5958200483816333`*^9}, 3.5958203165348663`*^9, {
   3.595821493744241*^9, 3.595821524197852*^9}, {3.595821554468319*^9, 
   3.5958216896111903`*^9}, {3.5958217343309207`*^9, 
   3.5958217861756935`*^9}, {3.595821893846075*^9, 3.5958220694947076`*^9}, 
   3.595823514214567*^9, {3.5958235771111856`*^9, 3.5958235803905125`*^9}, {
   3.5962495135144978`*^9, 3.596249666354943*^9}, {3.596249778693616*^9, 
   3.5962500004979734`*^9}, {3.596250032736843*^9, 3.596250169339742*^9}, {
   3.59625058387183*^9, 3.596250598760378*^9}, {3.596250639872539*^9, 
   3.5962506421922116`*^9}, {3.596251180429015*^9, 3.5962513559645433`*^9}, {
   3.5962513903639407`*^9, 3.59625139070719*^9}, {3.5962514835750704`*^9, 
   3.5962514981213903`*^9}, {3.596251553031334*^9, 3.5962515918628826`*^9}, 
   3.5962516340658197`*^9, {3.5962517181364603`*^9, 3.596251735288628*^9}, {
   3.5962518505393867`*^9, 3.596251869791073*^9}, {3.5962519561252904`*^9, 
   3.5962519890096254`*^9}, {3.5962521260618715`*^9, 
   3.5962521334320707`*^9}, {3.596252187780635*^9, 3.5962521896309714`*^9}, {
   3.5962522432049475`*^9, 3.5962523137550015`*^9}, {3.5963363804502616`*^9, 
   3.596336391446083*^9}, {3.596336439019805*^9, 3.596336458829859*^9}, {
   3.596336720937804*^9, 3.5963367214921913`*^9}, {3.5963372134321747`*^9, 
   3.5963377116406236`*^9}, {3.596337824215463*^9, 3.5963378251121*^9}, {
   3.596338179368411*^9, 3.5963382743257804`*^9}, {3.5963384703007984`*^9, 
   3.5963384791611047`*^9}, {3.59633853654279*^9, 3.5963386048332443`*^9}, {
   3.59633873218758*^9, 3.5963388126907187`*^9}, {3.5963391620215087`*^9, 
   3.5963391801003313`*^9}, {3.596339215721601*^9, 3.596339221241536*^9}, {
   3.5963393380753994`*^9, 3.596339410184554*^9}, {3.5963395049467793`*^9, 
   3.596339526764262*^9}, {3.5963396942750883`*^9, 3.5963398623993835`*^9}, {
   3.5963399047984343`*^9, 3.5963399071280937`*^9}, {3.5963399958150215`*^9, 
   3.5963400721131268`*^9}, {3.5963403332253647`*^9, 3.596340507001666*^9}, {
   3.59634065159221*^9, 3.596340666723951*^9}, {3.5963407310886087`*^9, 
   3.5963407347311893`*^9}, {3.59949746265201*^9, 3.5994974728592625`*^9}, 
   3.602788186266282*^9, {3.6027882421559973`*^9, 3.6027882445046606`*^9}, {
   3.6027886094320364`*^9, 3.6027886532801714`*^9}, {3.6027890490904737`*^9, 
   3.6027890548916173`*^9}, {3.602789460611928*^9, 3.6027894747630134`*^9}, {
   3.6027895208757644`*^9, 3.602789531082038*^9}, {3.6027896592380953`*^9, 
   3.6027897166919203`*^9}, {3.6027897719101644`*^9, 3.602789798468037*^9}, {
   3.6027901498657703`*^9, 3.6027902453005943`*^9}, {3.6027906830527267`*^9, 
   3.602790738309995*^9}, 3.6398812683161397`*^9, {3.6398822380369806`*^9, 
   3.639882245596356*^9}, {3.639882311890233*^9, 3.6398823190803003`*^9}}]
},
WindowSize->{1358, 639},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 30903, 838, 1892, "Input"]
}
]
*)

(* End of internal cache information *)
